%{
  ***********************************************************************
  * Dvořák - Symphony nr 7                                              *
  *                                                                     *
  * encodage par J.F. Lucarelli                                         *
  * 18/11/12 - 01/11/2013                                               *
  * Ver 0.0 : 04/09/2013                                                *
  * Ver 1.0 : 01/11/2013                                                *
  * Ver 2.0 : 11/02/2016                                                *
  * Ver 2.1 : 29/02/2016                                                *
  * Ver 3.2 : 20/04/2016                                                *
  *                                                                     *
  * Définition des titres - parties séparées                            *
  *                                                                     *
  * Ne pas compiler                                                     *
  *                                                                     *
  ***********************************************************************
%}

\include "Common\Version.ly"

% Création de l'en-pied - la variable \Part DOIT être définie précédemment



\header {
  title = \markup {\fontsize #5 \lower #6 \thisWork}
  subtitle = \markup {
    \left-align \lower #4
    \column
    \center-align {\fontsize #3.8 \lower #3 \thisOrchester \fontsize #3.8 \lower #7 \thisTonality}
  }
  composer = \markup \center-column {\fontsize #3 \lower #2 \thisComposer}
  arranger = \markup {\fontsize #1 \lower #3 \thisOpus}

  tagline = \markup {
    \override #'(box-padding . 1.0)
    \override #'(baseline-skip . 2.7) \override #'(thickness . 1.0) \box \column
    {
      \center-column {
        \line {
          \hspace #0.5 "Typeset and placed in the public domain by J.F. Lucarelli"
        }
        \line {
          \hspace #0.5 \with-url #thisWebSite \line {\fontsize #0 \thisWebSite}
        }
        \line {\hspace #0.5 "Unrestricted modification and redistribution is permitted and encouraged"}
        \line {\hspace #0.5 "Copy this music and share it!"}
        \line {\hspace #0.5 {"Send comments or remarks to " \with-url #thisMail \thisAddress}}
        \italic \line {
          \hspace #0.5
          \concat {
            "Engraved with LilyPond " #(lilypond-version)
            " ( " \with-url #lilypondWebSite \lilypondWebSite " )"
          }
        }
      }
      \vspace #0.3
      \fontsize #-2 \normal-text \thisDateEdition
    }
  }


  % Pour publication dans MUTOPIA
  mutopiatitle = "Symphony Nr. 7"
  mutopiatitle = "DvorakA"
  mutopiaopus = "Op.70"
  mutopiainstrument = "Orchestra"
  date = "1885"
  source = "Všeschna práva vyhrnazena - Plate H 1535"
  style = "Classical"
  copyright = "Public Domain"
  maintainer = "J.F. Lucarelli"
  maintainerEmail = "j-f.lucarelli@espace-midi.com"
  maintainerWeb = "http://www.espace-midi.com/lilypond/en"
  moreInfo = "Compiled with LilyPond 2.16.2 - Unzip using the original directory structure"
}
