%{
  ***********************************************************************
  * Dvořák - Symphony nr 7                                              *
  *                                                                     *
  * encodage par J.F. Lucarelli                                         *
  * 18/11/12 - 01/11/2013                                               *
  * Ver 0.0 : 04/09/2013                                                *
  * Ver 1.0 : 01/11/2013                                                *
  * Ver 2.0 : 11/02/2016                                                *
  * Ver 2.1 : 29/02/2016                                                *
  * Ver 3.2 : 20/04/2016                                                *
  *                                                                     *
  * Variables, à inclure en tête de tous les fichiers                   *
  *                                                                     *
  * Ne pas compiler                                                     *
  *                                                                     *
  ***********************************************************************
%}

thisComposer = "Antonín Dvořák"
thisWork = "Symphony nr 7"
thisOrchester = "for Orchestra"
thisOpus = "Op.70"
thisMail = "j-f.lucarelli@espace-midi.com"
thisMailTo = #(string-append "mailto:" thisMail)
thisAddress = "info@espace-midi.com"
thisMail = "mailto:info@espace-midi.com"
thisWebSite = "http://www.espace-midi.com/lilypond/en"
thisPageUrl = "dvorak_symphonie_nr7"
thisTonality = "in D minor"
thisDates = "1841-1904"
thisDateOfPublication = "1885"
thisSource = "Source : Antonín Dvořák: complete work, series 3, vol.7 - Edited by O. Šourek, 1955. Plate H 1535"
thisBigTitle = "Dvořák - Symphony nr 7 in D minor"
thisTypesetting = "Typeset with LilyPond, a free software under GNU General Public License"

% adresse de la page spécifique à l'œuvre
thisDirectUrl = #(string-append thisWebSite "/" thisPageUrl)
lilypondWebSite = #"http://www.lilypond.org"
mutopiaWebSite = #"http://www.mutopiaproject.org"

% adresse de la page LilyPond générique, précédée du texte 
thisLocation = \markup \concat
  {"Source & scores available on " \with-url #thisWebSite \thisWebSite }
thisDateEdition = # ( strftime "%d-%m-%Y" ( localtime ( current-time ) ) )
thisCatalogIdentification = "003-DvoSy7"
thisDuration = "Approx. duration : 40 min."

% Version
% Des chiffres sont utilisés dans les mises à jour originelles :
% 0 pendant la mise au point, jusqu'à 9 pour la version définitive, hors dernière révision
% A correspond à la première publication
% B correspond aux modifications ultérieures, y compris la mise à jour du catalogue
% Des modifications mineures ne modifient pas cette lettre

% Ver 0.0 : 04/09/2013
% Ver 1.0 : 01/11/2013 : première publication, code A
% Ver 2.0 : restructuration du code, mise à jour catalogue, code B
% Ver 3.0 : corrections nombreuses, affichage des dates, code C
% Ver 3.1 : ajout de la disponibilité instruments transposés sur Study et Conductor, 05/04/2016, code C
% Ver 3.2 : positionnement des tempi (accelerando et vivace dans le 3ième mouvement),
%           correction des [] au violon I, 3ième mouvement, mes. 7 et 8 19/04/2016, code C
% Ver 3.3 : Correction dans les notes éditoriales, violoncelle, code C

thisRevision = "C"

% Variables annexes pour la liste des instruments

listConductor = "-   Conductor scores (Full «B4», Normal «A4» and Study «A5»)"
listParts = "-   Parts scores : "
listPartsI =
"Flauti I, II ( & piccolo), Oboi I, II, Clarinette I, II (A, B♭), Fagotti I, II, Corni I, II, III, IV (F, D),"
listPartsII =
"Trombe I, II (C, D, F), Tromboni I, II, III, Timpani, Violino I, II, Viola, Violoncello, Contrabasso,"
listPartsIII = "Clarinetti in B♭, Corni in F, Trombe in B♭"
