%{
  ***********************************************************************
  * Dvořák - Symphony nr 7                                              *
  *                                                                     *
  * encodage par J.F. Lucarelli                                         *
  * 18/11/12 - 01/11/2013                                               *
  * Ver 0.0 : 04/09/2013                                                *
  * Ver 1.0 : 01/11/2013                                                *
  * Ver 2.0 : 11/02/2016                                                *
  * Ver 2.1 : 29/02/2016                                                *
  * Ver 3.2 : 20/04/2016                                                *
  *                                                                     *
  * Symphonie n°7 : Conductrice principale                              *
  *                                                                     *
  * *******************************                                     *
  * *   Fichier principal         *                                     *
  * *******************************                                     *
  *                                                                     *
  ***********************************************************************
%}

\include "Common\Version.ly"
\include "Common\Fonctions.ly"

#(set-default-paper-size "b4")

\include "Common\paper-Hconductor.ly"
\include "Common\Variables.ly"

partShort = "HCond"

\include "Common\Declarations.ly"
\include "common\dimension-Hconductor.ly"

\include "DvorakSYMPH7M1\DvorakSYMPH7M1_Tempi.ly"  % tempi

\include "DvorakSYMPH7M1\DvorakSYMPH7M1_music-Flauto_I_II.ly"
\include "DvorakSYMPH7M1\DvorakSYMPH7M1_music-Oboe_I_II.ly"
\include "DvorakSYMPH7M1\DvorakSYMPH7M1_music-Clarinetto_I_II.ly"
\include "DvorakSYMPH7M1\DvorakSYMPH7M1_music-Fagotto_I_II.ly"
\include "DvorakSYMPH7M1\DvorakSYMPH7M1_music-Corno_I_II.ly"
\include "DvorakSYMPH7M1\DvorakSYMPH7M1_music-Corno_III_IV.ly"
\include "DvorakSYMPH7M1\DvorakSYMPH7M1_music-Tromba_I_II.ly"
\include "DvorakSYMPH7M1\DvorakSYMPH7M1_music-Trombone_I_II.ly"
\include "DvorakSYMPH7M1\DvorakSYMPH7M1_music-Trombone_III.ly"
\include "DvorakSYMPH7M1\DvorakSYMPH7M1_music-Timpani.ly"
\include "DvorakSYMPH7M1\DvorakSYMPH7M1_music-Violino_I.ly"
\include "DvorakSYMPH7M1\DvorakSYMPH7M1_music-Violino_II.ly"
\include "DvorakSYMPH7M1\DvorakSYMPH7M1_music-Viola.ly"
\include "DvorakSYMPH7M1\DvorakSYMPH7M1_music-Violoncello.ly"
\include "DvorakSYMPH7M1\DvorakSYMPH7M1_music-Contrabasso.ly"

\include "DvorakSYMPH7M1\DvorakSYMPH7M1_StavesH.ly"

\include "DvorakSYMPH7M2\DvorakSYMPH7M2_Tempi.ly"  % tempi

\include "DvorakSYMPH7M2\DvorakSYMPH7M2_music-Flauto_I_II.ly"
\include "DvorakSYMPH7M2\DvorakSYMPH7M2_music-Oboe_I_II.ly"
\include "DvorakSYMPH7M2\DvorakSYMPH7M2_music-Clarinetto_I_II.ly"
\include "DvorakSYMPH7M2\DvorakSYMPH7M2_music-Fagotto_I_II.ly"
\include "DvorakSYMPH7M2\DvorakSYMPH7M2_music-Corno_I_II.ly"
\include "DvorakSYMPH7M2\DvorakSYMPH7M2_music-Corno_III_IV.ly"
\include "DvorakSYMPH7M2\DvorakSYMPH7M2_music-Tromba_I_II.ly"
\include "DvorakSYMPH7M2\DvorakSYMPH7M2_music-Trombone_I_II.ly"
\include "DvorakSYMPH7M2\DvorakSYMPH7M2_music-Trombone_III.ly"
\include "DvorakSYMPH7M2\DvorakSYMPH7M2_music-Timpani.ly"
\include "DvorakSYMPH7M2\DvorakSYMPH7M2_music-Violino_I.ly"
\include "DvorakSYMPH7M2\DvorakSYMPH7M2_music-Violino_II.ly"
\include "DvorakSYMPH7M2\DvorakSYMPH7M2_music-Viola.ly"
\include "DvorakSYMPH7M2\DvorakSYMPH7M2_music-Violoncello.ly"
\include "DvorakSYMPH7M2\DvorakSYMPH7M2_music-Contrabasso.ly"

\include "DvorakSYMPH7M2\DvorakSYMPH7M2_StavesH.ly"

\include "DvorakSYMPH7M3\DvorakSYMPH7M3_Tempi.ly"  % tempi

\include "DvorakSYMPH7M3\DvorakSYMPH7M3_music-Flauto_I_II.ly"
\include "DvorakSYMPH7M3\DvorakSYMPH7M3_music-Oboe_I_II.ly"
\include "DvorakSYMPH7M3\DvorakSYMPH7M3_music-Clarinetto_I_II.ly"
\include "DvorakSYMPH7M3\DvorakSYMPH7M3_music-Fagotto_I_II.ly"
\include "DvorakSYMPH7M3\DvorakSYMPH7M3_music-Corno_I_II.ly"
\include "DvorakSYMPH7M3\DvorakSYMPH7M3_music-Corno_III_IV.ly"
\include "DvorakSYMPH7M3\DvorakSYMPH7M3_music-Tromba_I_II.ly"
\include "DvorakSYMPH7M3\DvorakSYMPH7M3_music-Timpani.ly"
\include "DvorakSYMPH7M3\DvorakSYMPH7M3_music-Violino_I.ly"
\include "DvorakSYMPH7M3\DvorakSYMPH7M3_music-Violino_II.ly"
\include "DvorakSYMPH7M3\DvorakSYMPH7M3_music-Viola.ly"
\include "DvorakSYMPH7M3\DvorakSYMPH7M3_music-VioloncelloI.ly"
\include "DvorakSYMPH7M3\DvorakSYMPH7M3_music-VioloncelloII.ly"
\include "DvorakSYMPH7M3\DvorakSYMPH7M3_music-Contrabasso.ly"

\include "DvorakSYMPH7M3\DvorakSYMPH7M3_StavesH.ly"

\include "DvorakSYMPH7M4\DvorakSYMPH7M4_Tempi.ly"  % tempi

\include "DvorakSYMPH7M4\DvorakSYMPH7M4_music-Flauto_I_II.ly"
\include "DvorakSYMPH7M4\DvorakSYMPH7M4_music-Oboe_I_II.ly"
\include "DvorakSYMPH7M4\DvorakSYMPH7M4_music-Clarinetto_I_II.ly"
\include "DvorakSYMPH7M4\DvorakSYMPH7M4_music-Fagotto_I_II.ly"
\include "DvorakSYMPH7M4\DvorakSYMPH7M4_music-Corno_I_II.ly"
\include "DvorakSYMPH7M4\DvorakSYMPH7M4_music-Corno_III_IV.ly"
\include "DvorakSYMPH7M4\DvorakSYMPH7M4_music-Tromba_I_II.ly"
\include "DvorakSYMPH7M4\DvorakSYMPH7M4_music-Trombone_I_II.ly"
\include "DvorakSYMPH7M4\DvorakSYMPH7M4_music-Trombone_III.ly"
\include "DvorakSYMPH7M4\DvorakSYMPH7M4_music-Timpani.ly"
\include "DvorakSYMPH7M4\DvorakSYMPH7M4_music-Violino_I.ly"
\include "DvorakSYMPH7M4\DvorakSYMPH7M4_music-Violino_II.ly"
\include "DvorakSYMPH7M4\DvorakSYMPH7M4_music-Viola.ly"
\include "DvorakSYMPH7M4\DvorakSYMPH7M4_music-Violoncello.ly"
\include "DvorakSYMPH7M4\DvorakSYMPH7M4_music-Contrabasso.ly"

\include "DvorakSYMPH7M4\DvorakSYMPH7M4_StavesH.ly"

\include "Common\Cover-Hconductor.ly"

Footer = \markup {
  \raise #3
  \fill-line {
    \concat {
      \abs-fontsize #8 {
        \thisCatalogIdentification \partShort \thisRevision
      }
    }
  }
}

\book {

  % Couverture

  \bookpart {
    \CouvertureA
  }

  % Page blanche

  \bookpart {
    \paper {
      print-page-number = ##f
    }
    \markup {\null}
  }

  % Table des matières

  \bookpart {
    \paper {
      print-page-number = ##f
    }
    \PageToc
  }

  % Orchestration

  \bookpart {
    \paper {
      print-page-number = ##f
    }
    \PageOrch
  }

  % Remarques éditoriales

  \bookpart {
    \paper {
      print-page-number = ##t
    }
    \EditorialRemark
  }

  % Page blanche

  \bookpart {
    \paper {
      print-page-number = ##f
    }
    \markup {\null}
  }

  % Mouvements

  \bookpart {
    % autoriser les headers et footers
    \paper {
      print-page-number = ##t
      oddFooterMarkup = \Footer
      evenFooterMarkup = \Footer
    }

    \include "DvorakSYMPH7M1\DvorakSYMPH7M1_Titre_Pri.ly"  % titres

    \label #'MvmtI
    \score {
      \keepWithTag #'hugeConductorScore
      <<
        \new StaffGroup
        <<
          \new GrandStaff
          <<
            \staffSgMaFlautoI
            \staffSgMaFlautoII
          >>
          \new GrandStaff
          <<
            \staffSgMaOboeI
            \staffSgMaOboeII
          >>
          \new GrandStaff
          <<
            \staffSgMaClarinettoI
            \staffSgMaClarinettoII
          >>
          \new GrandStaff
          <<
            \staffSgMaFagottoI
            \staffSgMaFagottoII
          >>
        >>
        \new StaffGroup
        <<
          \new GrandStaff
          <<
            \staffSgMaCornoI
            \staffSgMaCornoII
            \staffSgMaCornoIII
            \staffSgMaCornoIV
          >>
          \new GrandStaff
          <<
            \staffSgMaTrombaI
            \staffSgMaTrombaII
          >>
          \new GrandStaff
          <<
            \staffSgMaTromboneI
            \staffSgMaTromboneII
            \staffSgMaTromboneIII
          >>
        >>
        \staffSgMaTimpani
        \new StaffGroup
        <<
          \new GrandStaff
          <<
            \staffSgMaViolinoI
            \staffSgMaViolinoII
          >>
          \staffSgMaViola
          \new GrandStaff
          <<
            \staffSgMaVioloncello
            \staffSgMaContrabasso
          >>
        >>
      >>

      \layout {
        \context {
          \Staff
          \consists #Measure_counter_engraver
          \override MeasureCounter.Y-offset = #side-position-interface::y-aligned-side
        }
        \context {
          \Score
          \remove "Bar_number_engraver"
          \override BarLine.layer = #-4
        }
        \context {
          \Staff
          \override BarLine.layer = #-4
        }
        \context {
          \Voice
          \override TextScript.whiteout = ##t
          \override TextScript.layer = #4
          \override DynamicText.whiteout = ##t
          \override DynamicText.layer = #4
          \override DynamicTextSpanner.whiteout = ##t
          \override DynamicTextSpanner.layer = #4
        }
      }
    }
  }

  \bookpart {
    \paper {
      print-page-number = ##t
      oddFooterMarkup = \Footer
      evenFooterMarkup = \Footer
    }
    \header {
      title = " "
      subtitle = " "
      composer = " "
      opus = " "
      subsubtitle = \markup {\center-column {\fontsize #6 \lower #10 "-- II --"}}
      copyright = " "
    }
    \label #'MvmtII
    \score {
      \keepWithTag #'hugeConductorScore
      <<
        \new StaffGroup
        <<
          \new GrandStaff
          <<
            \staffSgMbFlautoI
            \staffSgMbFlautoII
          >>
          \new GrandStaff
          <<
            \staffSgMbOboeI
            \staffSgMbOboeII
          >>
          \new GrandStaff
          <<
            \staffSgMbClarinettoI
            \staffSgMbClarinettoII
          >>
          \new GrandStaff
          <<
            \staffSgMbFagottoI
            \staffSgMbFagottoII
          >>
        >>
        \new StaffGroup
        <<
          \new GrandStaff
          <<
            \staffSgMbCornoI
            \staffSgMbCornoII
            \staffSgMbCornoIII
            \staffSgMbCornoIV
          >>
          \new GrandStaff
          <<
            \staffSgMbTrombaI
            \staffSgMbTrombaII
          >>
          \new GrandStaff
          <<
            \staffSgMbTromboneI
            \staffSgMbTromboneII
            \staffSgMbTromboneIII
          >>
        >>
        \staffSgMbTimpani
        \new StaffGroup
        <<
          \new GrandStaff
          <<
            \staffSgMbViolinoI
            \staffSgMbViolinoII
          >>
          \staffSgMbViola
          \new GrandStaff
          <<
            \staffSgMbVioloncello
            \staffSgMbContrabasso
          >>
        >>
      >>

      \layout {
        \context {
          \Staff
          \consists #Measure_counter_engraver
          \override MeasureCounter.Y-offset = #side-position-interface::y-aligned-side
        }
        \context {
          \Score
          \remove "Bar_number_engraver"
          \override BarLine.layer = #-4
        }
        \context {
          \Staff
          \override BarLine.layer = #-4
        }
        \context {
          \Voice
          \override TextScript.whiteout = ##t
          \override TextScript.layer = #4
          \override DynamicText.whiteout = ##t
          \override DynamicText.layer = #4
          \override DynamicTextSpanner.whiteout = ##t
          \override DynamicTextSpanner.layer = #4
        }
      }
    }
  }

  \bookpart {
    \paper {
      print-page-number = ##t
      oddFooterMarkup = \Footer
      evenFooterMarkup = \Footer
    }
    \header {
      title = " "
      subtitle = " "
      composer = " "
      opus = " "
      subsubtitle = \markup {\center-column {\fontsize #6 \lower #10 "-- III --"}}
      copyright = " "
    }
    \label #'MvmtIII
    \score {
      \keepWithTag #'hugeConductorScore
      <<
        \new StaffGroup
        <<
          % Flûtes : dédoublée pendant 3 mesures pour remplacement par le piccolo
          \new GrandStaff
          <<
            \staffSgMcFlautoI
            \staffSgMcFlautoII
          >>
          \new GrandStaff
          <<
            \staffSgMcOboeI
            \staffSgMcOboeII
          >>
          \new GrandStaff
          <<
            \staffSgMcClarinettoI
            \staffSgMcClarinettoII
          >>
          \new GrandStaff
          <<
            \staffSgMcFagottoI
            \staffSgMcFagottoII
          >>
        >>
        \new StaffGroup
        <<
          \new GrandStaff
          <<
            \staffSgMcCornoI
            \staffSgMcCornoII
            \staffSgMcCornoIII
            \staffSgMcCornoIV
          >>
          \new GrandStaff
          <<
            \staffSgMcTrombaI
            \staffSgMcTrombaII
          >>
        >>
        \staffSgMcTimpani
        \new StaffGroup
        <<
          \new GrandStaff
          <<
            \staffSgMcViolinoI
            \staffSgMcViolinoII
          >>
          \staffSgMcViola
          \new GrandStaff
          <<
            % Violoncelles : comprennent temporairement deux parties.
            \staffSgMcVioloncelloI
            \staffSgMcVioloncelloII
            \staffSgMcContrabasso
          >>
        >>
      >>

      \layout {
        \context {
          \Staff
          \consists #Measure_counter_engraver
          \override MeasureCounter.Y-offset = #side-position-interface::y-aligned-side
        }
        \context {
          \Score
          \remove "Bar_number_engraver"
          \override BarLine.layer = #-4
        }
        \context {
          \Staff
          \override BarLine.layer = #-4
        }
        \context {
          \Voice
          \override TextScript.whiteout = ##t
          \override TextScript.layer = #4
          \override DynamicText.whiteout = ##t
          \override DynamicText.layer = #4
          \override DynamicTextSpanner.whiteout = ##t
          \override DynamicTextSpanner.layer = #4
        }
      }
    }
  }

  \bookpart {
    \paper {
      print-page-number = ##t
      oddFooterMarkup = \Footer
      evenFooterMarkup = \Footer
    }
    \header {
      title = " "
      subtitle = " "
      composer = " "
      opus = " "
      subsubtitle = \markup {\center-column {\fontsize #6 \lower #10 "-- IV --"}}
      copyright = " "
    }
    \label #'MvmtIV
    \score {
      \keepWithTag #'hugeConductorScore
      <<
        \new StaffGroup
        <<
          \new GrandStaff
          <<
            \staffSgMdFlautoI
            \staffSgMdFlautoII
          >>
          \new GrandStaff
          <<
            \staffSgMdOboeI
            \staffSgMdOboeII
          >>
          \new GrandStaff
          <<
            \staffSgMdClarinettoI
            \staffSgMdClarinettoII
          >>
          \new GrandStaff
          <<
            \staffSgMdFagottoI
            \staffSgMdFagottoII
          >>
        >>
        \new StaffGroup
        <<
          \new GrandStaff
          <<
            \staffSgMdCornoI
            \staffSgMdCornoII
            \staffSgMdCornoIII
            \staffSgMdCornoIV
          >>
          \new GrandStaff
          <<
            \staffSgMdTrombaI
            \staffSgMdTrombaII
          >>
          \new GrandStaff
          <<
            \staffSgMdTromboneI
            \staffSgMdTromboneII
            \staffSgMdTromboneIII
          >>
        >>
        \staffSgMdTimpani
        \new StaffGroup
        <<
          \new GrandStaff
          <<
            \staffSgMdViolinoI
            \staffSgMdViolinoII
          >>
          \staffSgMdViola
          \new GrandStaff
          <<
            \staffSgMdVioloncello
            \staffSgMdContrabasso
          >>
        >>
      >>

      \layout {
        \context {
          \Staff
          \consists #Measure_counter_engraver
          \override MeasureCounter.Y-offset = #side-position-interface::y-aligned-side
        }
        \context {
          \Score
          \remove "Bar_number_engraver"
          \override BarLine.layer = #-4
        }
        \context {
          \Staff
          \override BarLine.layer = #-4
        }
        \context {
          \Voice
          \override TextScript.whiteout = ##t
          \override TextScript.layer = #4
          \override DynamicText.whiteout = ##t
          \override DynamicText.layer = #4
          \override DynamicTextSpanner.whiteout = ##t
          \override DynamicTextSpanner.layer = #4
        }
      }
    }
  }

  % suppression de la \tagline, elle est comprise dans la couverture D
  \header {
    tagline = ##f
  }

  % Pages blanches éventuelle - il faut arriver à un multiple de 2
  \bookpart {
    \paper {
      print-page-number = ##f
    }
    \markup {\null}
  }

  % Couverture 3

  \bookpart {
    \paper {
      % Pas d'encadrement, cadrage constitué par les marges
      print-page-number = ##f
    }
    \CouvertureC
  }

  % Page blanche
  %{  \bookpart {
    \paper {
      print-page-number = ##f
    }
    \markup {\null}
  }%}

  % Couverture 4

  \bookpart {
    \paper {
      print-page-number = ##f
    }
    \CouvertureD
  }
}
