%{
  ***********************************************************************
  * Dvořák - Symphony nr 7                                              *
  *                                                                     *
  * encodage par J.F. Lucarelli                                         *
  * 18/11/12 - 01/11/2013                                               *
  * Ver 0.0 : 04/09/2013                                                *
  * Ver 1.0 : 01/11/2013                                                *
  * Ver 2.0 : 11/02/2016                                                *
  * Ver 2.1 : 29/02/2016                                                *
  * Ver 3.2 : 20/04/2016                                                *
  *                                                                     *
  * Symphonie n° 7 : mouvement I, Allegro maestoso                      *
  * Intégration des portées (staves)                                    *
  *                                                                     *
  * Ne pas compiler                                                     *
  *                                                                     *
  ***********************************************************************
%}

\include "Common\Version.ly"

% Violoncelles : comprennent temporairement deux parties. Il faut masquer les portées vides où les violoncelles sont
% en commun, et restaurer la visibilité des autres portées vides

staffSgMcFlautoI = \new Staff \voiceSgMcFlautoI
staffSgMcFlautoII = \new Staff \voiceSgMcFlautoII
staffSgMcOboeI = \new Staff \voiceSgMcOboeI
staffSgMcOboeII = \new Staff \voiceSgMcOboeII
staffSgMcClarinettoI = \new Staff \voiceSgMcClarinettoI
staffSgMcClarinettoII = \new Staff \voiceSgMcClarinettoII
staffSgMcFagottoI = \new Staff \voiceSgMcFagottoI
staffSgMcFagottoII = \new Staff \voiceSgMcFagottoII

staffSgMcCornoI = \new Staff \voiceSgMcCornoI
staffSgMcCornoII = \new Staff \voiceSgMcCornoII
staffSgMcCornoIII = \new Staff \voiceSgMcCornoIII
staffSgMcCornoIV = \new Staff \voiceSgMcCornoIV
staffSgMcTrombaI = \new Staff \voiceSgMcTrombaI
staffSgMcTrombaII = \new Staff \voiceSgMcTrombaII
staffSgMcTimpani = \new Staff \voiceSgMcTimpani

staffSgMcViolinoI = \new Staff \with {
  \consists "Mark_engraver"
  \consists "Metronome_mark_engraver"
  \consists "Staff_collecting_engraver"
}
\voiceSgMcViolinoI
staffSgMcViolinoII = \new Staff \voiceSgMcViolinoII
staffSgMcViola = \new Staff \voiceSgMcViola

staffSgMcVioloncelloI = \new Staff \with {
  \override VerticalAxisGroup.remove-empty = ##t
  \override VerticalAxisGroup.remove-first = ##t
}
\voiceSgMcVioloncelloI
staffSgMcVioloncelloII = \new Staff \with {
  \override VerticalAxisGroup.remove-empty = ##t
  \override VerticalAxisGroup.remove-first = ##t
}
\voiceSgMcVioloncelloII

staffSgMcContrabasso = \new Staff \with {
  \consists "Mark_engraver"
  \consists "Metronome_mark_engraver"
  \consists "Staff_collecting_engraver"
  \override MetronomeMark.direction = #DOWN
  \override RehearsalMark.direction = #DOWN
  \override VoltaBracket.direction = #DOWN
  \override VoltaBracketSpanner.direction = #DOWN
}
\voiceSgMcContrabasso
