%{
  ***********************************************************************
  * Dvořák - Symphony nr 7                                              *
  *                                                                     *
  * encodage par J.F. Lucarelli                                         *
  * 18/11/12 - 01/11/2013                                               *
  * Ver 0.0 : 04/09/2013                                                *
  * Ver 1.0 : 01/11/2013                                                *
  * Ver 2.0 : 11/02/2016                                                *
  * Ver 2.1 : 29/02/2016                                                *
  * Ver 3.2 : 20/04/2016                                                *
  *                                                                     *
  * Symphonie n°7 : mouvement III - Scherzo Vivace                      *
  * Fichier de notes, Trompettes 1 et 2, parties                        *
  *                                                                     *
  * Ne pas compiler                                                     *
  *                                                                     *
  ***********************************************************************
%}
%{
  *****************************************************************
  * Trompette I                                                   *
  *****************************************************************
%}

\include "Common\Version.ly"

SgMcTrombaI = \relative c'' {

  \include "Common\Properties.ly"
  \tag #'partScore \tag #'partTrScore {
    \set Staff.minimumPageTurnLength = #(ly:make-moment 6/4)
    \numberMMFromI
    \cueEventType
  }
  \elseTag #'partScore \elseTag #'partTrScore {
    \numberMMFromII
  }

  \TempoIII

  \tag #'partTrScore {
    \transposition bes
  }
  \elseTag #'partTrScore {
    \transposition c'
  }

  \key c \major

  r2 r4

  R1 * 6/4 * 7

  a2 \mf r4 a2 \dim r4
  a2 \p r4 r2 r4
  R1 * 6/4 * 12

  \tag #'conductorScore \tag #'hugeConductorScore {
    R1 * 6/4 * 3
  }
  \elseTag #'conductorScore \elseTag #'hugeConductorScore {
    \numberMMFromII
    \cueDuring #"scoreSgMcCornoI" #DOWN {s4 * 0 ^\markup { \fontsize #-3 "Corni I & II"} R1 * 6/4 * 3}
    \numberMMFromI
  }

  \mark \default  % Mark A

  d4 \mf r r r2 a4 \cresc
  d r r r2 a4
  d \ff r d r d-. a-.
  d r d r d-. a-.
  d r r r2 r4
  R1 * 6/4 * 3
  d4 \f r r r2 r4
  a4 r r r2 r4
  d4 r r r2 r4
  d2 \ff d4-. d2 d4-.
  d2 d4-. d2 d4-.
  d4-. r bes-. r bes-. r
  a-. r a-. r a-. r
  a-. r a-. r2 r4
  a4 \f \dim r a4 r8 a a4 \p a
  a r a r8 a \> a4 \! a

  R1 * 6/4 * 7

  \mark \default  % Mark B

  r4 a8 \mf a a4 r a8 \p a a4
  r a-. r r2 r4
  r a8 \p a a4 r a8 a a4
  a r r r2 r4
  a \pp r r a r r
  a r r r2 r4
  R1 * 6/4 * 4

  \mark \default  % Mark C

  d4 \f r d r8 d d4 d
  d4 r d r8 d d4 d
  d4 r d r8 d d4 d
  c4 r c r8 c c4 c
  c2. \f ~ c4 r r
  bes2. ~ bes4 r r
  a2-^ \ff d-^ d4-. a-.
  d-. r r r2 a4-.
  d-. r r r2 a4-.
  d \ff r d r d-. a-.
  d r d r d-. a-.
  d r r r2 r4
  R1 * 6/4 * 3

  \mark \default  % Mark D

  d2 \ff d d
  a4 r a r d r
  d r r r2 r4
  R1 * 6/4
  r2 r4 r2 a4 \ff
  a r a r a r
  e' r a, r a r
  e' r r r2 r4
  a2. \ff ~ a2 a4-.
  d,2.-^ d-^
  d-^ a-^
  d4-. r d-. d-. d-. d-.
  d-. r d-. d-. d-. d-.
  d \fz d d \fz d d \fz d
  d \fz d d \fz d d \fz d
  d r r d r r
  <<{d,1. ~}{s2. -\tweak minimum-length 8 \> s2 s4 \!}>>

  \bar "||"

  \TempoIIIMM

  d4 r r r2 r4

  R1 * 6/4 * 11

  \mark \default  % Mark E

  R1 * 6/4 * 24

  \mark \default  % Mark F

  R1 * 6/4 * 20

  \mark \default  % Mark G

  R1 * 6/4

  \tag #'conductorScore \tag #'hugeConductorScore {
    R1 * 6/4 * 2
  }
  \elseTag #'conductorScore \elseTag #'hugeConductorScore {
    \numberMMFromII
    \cueDuring #"scoreSgMcCornoI" #DOWN {s4 * 0 ^\markup { \fontsize #-3 "Corni I & II"} R1 * 6/4 * 2}
    \numberMMFromI
  }

  \tag #'quoteTimpani \tag #'quoteCornoIV \tag #'quoteFlautoII {
    % appel pour citation, différent de la partition normale
    \rightDynamic <bes' d,>4 \pp \< ( <c f,>4. <d bes>8 \! ) <d bes>4 ( \> <c f,>4. <bes d,>8 ) \!
  }
  \elseTag #'quoteTimpani \elseTag #'quoteCornoIV  \elseTag #'quoteFlautoII {
    \rightDynamic bes4 \pp \Solo \< ( c4. d8 \! ) d4 ( \> c4. bes8 ) \!
  }

  d4 r r r2 r4
  R1 * 6/4 * 5

  \tag #'partScore \tag #'partTrScore {
    \markLengthOn
  }

  \tag #'partScore \tag #'partTrScore {
    \once \override Score.MetronomeMark.X-offset = -2
  }
  \TempoIIIAcc

  \tag #'partScore \tag #'partTrScore {
    \longMML 16 R1 * 6/4 * 4
  }
  \elseTag #'partScore \elseTag #'partTrScore {
    R1 * 6/4 * 4
  }

  \tag #'partScore \tag #'partTrScore {
    \once \override Score.MetronomeMark.X-offset = -2
  }

  \TempoIIIViv

  \tag #'partScore \tag #'partTrScore {
    \markLengthOff
  }

  R1 * 6/4 * 4

  \tag #'partScore \tag #'partTrScore {
    \break
  }

  \tag #'partScore \tag #'partTrScore  {
    \once \override Score.RehearsalMark.X-offset = 5
  }

  \mark \default  % Mark H

  a4 \f r a r8 a a4 a
  a4 r a r8 a a4 a
  a4 a r a a r
  a a r a a r
  a r r r2 r4
  R1 * 6/4 * 2

  \bar "||"

  R1 * 6/4 * 7
  a2 \mf r4 a2 r4
  a4 \p r r r2 r4
  R1 * 6/4 * 8

  \mark \default  % Mark J

  R1 * 6/4 * 7
  d4 \mf r r r2 a4 \cresc
  d r r r2 a4 \!
  d \ff r d r d-. a-.
  d r d r d-. a-.
  d-. a-. d-. a-. d-. a-.
  d-. a-. d-. \dim a-. d-. a-.
  d r r r2 r4
  R1 * 6/4 * 5

  \mark \default  % Mark K

  d4-. \pp \< a-. d-. a-. d-. a-.
  d-. a-. d-. a-. d-. a-. \!
  d \f r r r2 r4

  R1 * 6/4 * 15
  \tag #'partScore \tag #'partTrScore {
    \once \override Score.MetronomeMark.X-offset = -2
  }
  \TempoIIIPPrB

  \tag #'partScore \tag #'partTrScore {
    \longMML 20 R1 * 6/4 * 6
  }
  \elseTag #'partScore \elseTag #'partTrScore {
    R1 * 6/4 * 6
  }

  \tag #'partScore \tag #'partTrScore {
    \noBreak
  }
  \TempoIIIiT


  \tag #'conductorScore \tag #'hugeConductorScore {
    R1 * 6/4 * 4
  }
  \elseTag #'conductorScore \elseTag #'hugeConductorScore {
    \numberMMFromII
    \cueDuringWithClef #"scoreSgMcVioloncelloI" #DOWN "bass" {s4 * 0 ^\markup { \fontsize #-3 "Cello"} R1 * 6/4 * 4}
    \numberMMFromI
  }

  \mark \default  % Mark L

  d2 \ff d d
  a4 r a r d r
  d r r r2 r4
  R1 * 6/4
  r2 r4 r2 a4 \ff
  a r a r a r
  e' r a, r a r
  e' r r r2 r4
  a2. \ff ~ a2 a4-.
  d,2.-^ d-^
  d-^ a-^
  d4 r d d d d
  d r d d d d
  d \fz d d \fz d d \fz d
  d \fz d d \fz d d \fz d
  d r d r8 d d4 d
  d r r d r r
  d r r r2 r4

  \bar "|."
}

%{
  *****************************************************************
  * Trompette II                                                  *
  *****************************************************************
%}

SgMcTrombaII = \relative c'{

  \include "Common\Properties.ly"

  \tag #'partScore \tag #'partTrScore {
    \set Staff.minimumPageTurnLength = #(ly:make-moment 6/4)
    \numberMMFromI
    \cueEventType
  }
  \elseTag #'partScore \elseTag #'partTrScore {
    \numberMMFromII
  }

  \TempoIII

  \tag #'partTrScore {
    \transposition bes
  }
  \elseTag #'partTrScore {
    \transposition c'
  }

  \key c \major

  r2 r4
  R1 * 6/4 * 7
  a2 \mf r4 a2 \dim r4
  a2 \p r4 r2 r4
  R1 * 6/4 * 12

  \tag #'conductorScore \tag #'hugeConductorScore {
    R1 * 6/4 * 3
  }
  \elseTag #'conductorScore \elseTag #'hugeConductorScore {
    \numberMMFromII
    \cueDuring #"scoreSgMcCornoI" #DOWN {s4 * 0 ^\markup { \fontsize #-3 "Corni I & II"} R1 * 6/4 * 3}
    \numberMMFromI
  }

  \mark \default  % Mark A

  d4 \mf r r r2 a'4 \cresc
  d, r r r2 a'4
  d, \ff r d r d-. a'-.
  d, r d r d-. a'-.
  d, r r r2 r4
  R1 * 6/4 * 3
  d4 \f r r r2 r4
  a'4 r r r2 r4
  d,4 r r r2 r4
  d2 \ff d4-. d2 d4-.
  d2 d4-. d2 d4-.
  d4-. r g-. r g-. r
  a-. r a-. r a-. r
  a-. r a-. r2 r4
  a4 \f \dim r a4 r8 a a4 \p a
  a r a r8 a \> a4 \! a
  R1 * 6/4 * 7

  \mark \default  % Mark B

  r4 a,8 \mf a a4 r a8 \p a a4
  r a-. r r2 r4
  r a8 \p a a4 r a8 a a4
  a r r r2 r4
  a \pp r r a r r
  a r r r2 r4
  R1 * 6/4 * 4

  \tag #'partScore \tag #'partTrScore {
    \pageTurn
  }

  \mark \default  % Mark C

  d4 \f r d r8 d d4 d
  d4 r d r8 d d4 d
  d4 r d r8 d d4 d
  c4 r c r8 c c4 c
  c2. \f ~ c4 r r
  bes2. ~ bes4 r r
  a2-^ \ff d-^ d4-.a'-.
  d,-. r r r2a'4-.
  d,-. r r r2a'4-.
  d, \ff r d r d-.a'-.
  d, r d r d-.a'-.
  d, r r r2 r4
  R1 * 6/4 * 3

  \mark \default  % Mark D

  d2 \ff d d
  a'4 r a r d, r
  d r r r2 r4
  R1 * 6/4
  r2 r4 r2 a'4 \ff
  a r a r a r
  e r a r a r
  e r r r2 r4
  a2. \ff ~ a2 a4-.
  d,2.-^ d-^
  d-^ e-^
  d4-. r d-. d-. d-. d-.
  d-. r d-. d-. d-. d-.
  d \fz d d \fz d d \fz d
  d \fz d d \fz d d \fz d
  d r r d r r
  <<{d1. ~}{s2. -\tweak minimum-length #10 \> s2 s4 \!}>>

  \bar "||"

  \TempoIIIMM

  d4 r r r2 r4
  \tag #'partTrScore \tag #'partScore {
    \noBreak
  }
  R1 * 6/4 * 11

  \mark \default  % Mark E

  R1 * 6/4 * 24

  \mark \default  % Mark F

  R1 * 6/4 * 20

  \mark \default  % Mark G

  R1 * 6/4

  \tag #'conductorScore \tag #'hugeConductorScore {
    R1 * 6/4 * 2
  }
  \elseTag #'conductorScore \elseTag #'hugeConductorScore {
    \numberMMFromII
    \cueDuring #"scoreSgMcCornoI" #DOWN {s4 * 0 ^\markup { \fontsize #-3 "Corni I & II"} R1 * 6/4 * 2}
    \numberMMFromI
  }

  \rightDynamic d4 \pp \Solo \< ( f4. bes!8 \! ) bes4 ( \> f4. d8 ) \!
  d4 r r r2 r4
  R1 * 6/4 * 5

  \tag #'partScore \tag #'partTrScore {
    \once \override Score.MetronomeMark.X-offset = -2
  }
  \TempoIIIAcc

  \tag #'partTrScore \tag #'partScore {
    \noBreak
  }
  R1 * 6/4 * 4

  \tag #'partScore \tag #'partTrScore {
    \once \override Score.MetronomeMark.X-offset = -1.3
  }
  \TempoIIIViv

  \tag #'partScore \tag #'partTrScore {
    \longMML 16 R1 * 6/4 * 4
  }
  \elseTag #'partScore \elseTag #'partTrScore {
    R1 * 6/4 * 4
  }

  \mark \default  % Mark H

  a'4 \f r a r8 a a4 a
  a4 r a r8 a a4 a
  a4 a r a a r
  a a r a a r
  a r r r2 r4
  R1 * 6/4 * 2

  \bar "||"

  R1 * 6/4 * 7
  a,2 \mf r4 a2 r4
  a4 \p r r r2 r4
  R1 * 6/4 * 8

  \mark \default  % Mark J

  R1 * 6/4 * 7
  d4 \mf r r r2 a'4 \cresc
  d, r r r2 a'4 \!
  d, \ff r d r d-.a'-.
  d, r d r d-.a'-.
  d,-.a'-. d,-.a'-. d,-.a'-.
  d,-.a'-. d,-. \dim a'-. d,-.a'-.
  d, r r r2 r4
  R1 * 6/4 * 5

  \mark \default  % Mark K

  d4-. \pp \<a'-. d,-.a'-. d,-.a'-.
  d,-.a'-. d,-.a'-. d,-.a'-. \!
  d, \f r r r2 r4
  R1 * 6/4 * 15

  \tag #'partScore \tag #'partTrScore {
    \once \override Score.MetronomeMark.X-offset = -2
  }
  \TempoIIIPPrB

  \tag #'partScore \tag #'partTrScore {
    \longMML 21 R1 * 6/4 * 6
  }
  \elseTag #'partScore \elseTag #'partTrScore {
    R1 * 6/4 * 6
  }

  \TempoIIIiT

  \tag #'studyScore \tag #'conductorScore \tag #'hugeConductorScore {
    R1 * 6/4 * 4
  }
  \elseTag #'studyScore \elseTag #'conductorScore \elseTag #'hugeConductorScore {
    \numberMMFromII
    \cueDuringWithClef #"scoreSgMcVioloncelloI" #DOWN "bass" {s4 * 0 ^\markup { \fontsize #-3 "Cello"} R1 * 6/4 * 4}
    \numberMMFromI
  }

  \mark \default  % Mark L

  d2 \ff d d
  a'4 r a r d, r
  d r r r2 r4
  R1 * 6/4
  r2 r4 r2a'4 \ff
  a r a r a r
  e r a r a r
  e r r r2 r4
  a2. \ff ~ a2 a4-.
  d,2.-^ d-^
  d-^ e-^
  d4 r d d d d
  d r d d d d
  d \fz d d \fz d d \fz d
  d \fz d d \fz d d \fz d
  d r d r8 d d4 d
  d r r d r r
  d r r r2 r4

  \bar "|."
}

%{
  ***************************************************************
  * Création des voix                                           *
  ***************************************************************
%}

trSgMcTrombaI = {
  \tag #'partTrScore {
    \transpose bes c' \SgMcTrombaI
  }
  \elseTag #'partTrScore {
    \SgMcTrombaI
  }
}

trSgMcTrombaII = {
  \tag #'partTrScore {
    \transpose bes c' \SgMcTrombaII
  }
  \elseTag #'partTrScore {
    \SgMcTrombaII
  }
}

voiceSgMcTrombaI = \new Voice {
  \time 6/4
  % Permet de prendre en compte la levée dans le comptage des mesures
  \set Timing.measurePosition = #(ly:make-moment 3/4)
  \tag #'partTrScore {
    \set Staff.instrumentName = \markup \fontsize #3 \center-column {"Tromba I" "(B♭)"}
    \set Staff.shortInstrumentName = ""
  }
  \elseTag #'partTrScore {
    \set Staff.instrumentName = \markup \fontsize #3 \center-column {"Tromba I" "in C"}
    \tag #'hugeConductorScore \set Staff.shortInstrumentName = \markup \center-column {"Tr. I" "(C)"}
    \elseTag #'hugeConductorScore \set Staff.shortInstrumentName = ""
  }
  \set Staff.midiInstrument = "trumpet"
  \clef treble
  \trSgMcTrombaI
}

voiceSgMcTrombaII = \new Voice {
  \time 6/4
  % Permet de prendre en compte la levée dans le comptage des mesures
  \set Timing.measurePosition = #(ly:make-moment 3/4)
  \tag #'partTrScore {
    \set Staff.instrumentName = \markup \fontsize #3 \center-column {"Tromba II" "(B♭)"}
    \set Staff.shortInstrumentName = ""
  }
  \elseTag #'partTrScore {
    \set Staff.instrumentName = \markup \fontsize #3 \center-column {"Tromba II" "in C"}
    \tag #'hugeConductorScore \set Staff.shortInstrumentName = \markup \center-column {"Tr. II" "(C)"}
    \elseTag #'hugeConductorScore \set Staff.shortInstrumentName = ""
  }
  \set Staff.midiInstrument = "trumpet"
  \clef treble
  \trSgMcTrombaII
}

quoteScoreSgMcTrombaI = \trSgMcTrombaI
quoteScoreSgMcTrombaII = \trSgMcTrombaII
