%{
  ***********************************************************************
  * Dvořák - Symphony nr 7                                              *
  *                                                                     *
  * encodage par J.F. Lucarelli                                         *
  * 18/11/12 - 01/11/2013                                               *
  * Ver 0.0 : 04/09/2013                                                *
  * Ver 1.0 : 01/11/2013                                                *
  * Ver 2.0 : 11/02/2016                                                *
  * Ver 2.1 : 29/02/2016                                                *
  * Ver 3.2 : 20/04/2016                                                *
  *                                                                     *
  * Symphonie n°7 : mouvement IV - Finale allegro                       *
  * Fichier de notes, Trompettes 1 et 2, parties                        *
  *                                                                     *
  * Ne pas compiler                                                     *
  *                                                                     *
  ***********************************************************************
%}
%{
  ***************************************************************
  * Trompette I                                                 *
  ***************************************************************
%}

\include "Common\Version.ly"

SgMdTrombaI = \relative c'' {

  \include "Common\Properties.ly"
  \tag #'partScore \tag #'partTrScore {
    \set Staff.minimumPageTurnLength = #(ly:make-moment 8/4)
    \numberMMFromI
    \cueEventType
  }
  \elseTag #'partScore \elseTag #'partTrScore {
    \numberMMFromII
  }

  \TempoIV

  \tag #'partTrScore {
    \transposition bes
  }
  \elseTag #'partTrScore {
    \transposition d'
  }

  \key c \major

  R1 * 41

  \tag #'hugeConductorScore {
    R1
  }
  \elseTag #'hugeConductorScore {
    \numberMMFromII
    \cueDuring #"scoreSgMdViolinoI" #UP {s4 * 0 ^\markup { \fontsize #-3 "Violini"} R1}
    \numberMMFromI
  }

  \tag #'partScore \tag #'partTrScore {
    \once \override Score.RehearsalMark.X-offset = 1
  }
  \mark \default

  g1-^ \ff ~
  g2 c->
  g2.-> c4
  c r g r
  R1
  r4 r8 g16-. \ff g-. g4-. g-.
  \repeat unfold 4 {
    R1
    r4 r8 g16-. g-. g4-. g-.
  }
  R1
  r4 r8 g16-. \ff g-. g4-. g-.
  g'1-^ ~
  g ~
  g4 r r2
  R1 * 3

  \tag #'partScore \tag #'partTrScore {
    \once \override Score.MetronomeMark.X-offset = -2
  }
  \TempoIVRit

  R1

  \mark \default

  \TempoIVIT

  R1 * 6
  r4 g,-. \ff c-. g-.
  g2. bes4-.
  bes-. bes-. g-. c-.
  d-. c-. g2->
  R1 * 2
  g2-> \ff g->
  g2.-> r4
  R1 * 2
  f2-> \ff f->
  c'2.-> r4
  R1 * 2
  g4 \f r r2
  R1

  \mark \default

  R1 * 2
  g4 \f r g r
  g r r2
  g4 r r2
  g4 r g r
  g r g r
  d' r r2
  R1 * 7

  \bar "||"

  \mark \default

  R1 * 13

  \tag #'hugeConductorScore {
    R1 * 2
  }
  \elseTag #'hugeConductorScore {
    \numberMMFromII
    \cueDuring #"scoreSgMdCornoIII" #DOWN {s4 * 0 ^\markup { \fontsize #-3 "Corno III"} R1 * 2}
    \numberMMFromI
  }

  R1 * 5
  r2 g,4 \f r
  g r g r

  \mark \default

  d'\f d r d
  \repeat unfold 4 {r d r d}
  r d r e
  r d r d
  g, r r2
  R1 * 3
  g4 \f r r2
  R1 * 3
  d'4 \f r d r
  d r a r
  d r a r
  d r d r
  d r d-. d-.
  d r a r
  d r c r
  d r d r

  \bar "||"

  \mark \default

  g,4 r r2
  R1 * 17

  \tag #'partScore \tag #'partTrScore {
    \once \override Score.MetronomeMark.X-offset = -2
  }
  \TempoIVPRit

  \tag #'partScore \tag #'partTrScore {
    \longMML 16 R1 * 4
  }
  \elseTag #'partScore \elseTag #'partTrScore {
    R1 * 4
  }

  \mark \default

  \TempoIVIT

  \tag #'partScore \tag #'partTrScore {
    \longMML 16 R1 * 39
  }
  \elseTag #'partScore \elseTag #'partTrScore {
    R1 * 39
  }

  \mark \default

  \tag #'hugeConductorScore {
    R1 * 3
  }
  \elseTag #'hugeConductorScore {
    \numberMMFromII
    \cueDuring #"scoreSgMdViolinoI" #UP {s4 * 0 -\tweak X-offset #2 ^\markup { \fontsize #-3 "Vl I"} R1 * 3}
    \numberMMFromI
  }

  R1 * 5
  a1-^ \ff
  r2 d4-. r
  r2 d4-. r
  r2 d4-. r
  a1-^ \ff
  r2 c4-. r
  r2 c4-. r
  r2 r4 r8 d,
  g4 \f r c, r
  d r g r
  \mark \default
  R1 * 6
  r4 des'8 \mf des g,4 bes8 bes
  a4 r r2
  R1
  r4 a8 \mf a d,!4 fis8 fis
  cis4 r r2
  ces4 r r2
  R1
  r4 g'8 \f g c,!4 e8 e
  b4 b' r b
  r b r b
  b r r2
  R1 * 7

  \mark \default

  R1 * 26

  \tag #'hugeConductorScore {
    R1 * 4
  }
  \elseTag #'hugeConductorScore {
    \numberMMFromII
    \cueDuring #"scoreSgMdViolinoI" #UP {s4 * 0 ^\markup { \fontsize #-3 "Vl I"} R1 * 4}
    \numberMMFromI
  }

  \bar "||"

  \mark \default

  g1 \ff ~
  g4 g r g
  r g r g
  r g r c
  r c g g
  c r r2
  g4 r r2
  \tag #'partScore \tag #'partTrScore {
    <<
      {
        r2 g4 \f r
        \repeat unfold 12 {r2 g4 r}
      }
      \new Voice
      {
        \set countPercentRepeats = ##t
        \override PercentRepeat.transparent = ##t
        \override PercentRepeatCounter.staff-padding = #2
        \repeat percent 13 {s1}
      }
    >>
  }
  \elseTag #'partScore \elseTag #'partTrScore {
    r2 g4 \f r
    \repeat unfold 12 {r2 g4 r}
  }
  \mark \default
  g4 \f r r2
  R1 * 14

  \bar "||"

  R1 * 19

  \tag #'hugeConductorScore {
    R1 * 3
  }
  \elseTag #'hugeConductorScore {
    \numberMMFromII
    \cueDuring #"scoreSgMdCornoI" #DOWN {s4 * 0 ^\markup { \fontsize #-3 "Corno I"} R1 * 3}
    \numberMMFromI
  }

  \mark \default

  g4 \f g r g
  \tag #'partScore \tag #'partTrScore {
    <<
      {
        \repeat unfold 4 {r4 g r g}
      }
      \new Voice
      {
        \set countPercentRepeats = ##t
        \override PercentRepeat.transparent = ##t
        \override PercentRepeatCounter.staff-padding = #2
        \repeat percent 4 {s1}
      }
    >>
  }
  \elseTag #'partScore \elseTag #'partTrScore {
    \repeat unfold 4 {r4 g r g}
  }
	
  r4 c r c
  r g r g
  c r r2
  R1 * 2
  r2 r4 g \f
  c r r2
  R1 * 3
  g4 \f r g r
  g r bes r
  bes r f r
  g r g r
  g r g-. g-.
  g r d' r
  g, r f r
  g r g r
  \bar "||"
  \mark \default
  g4 r r2
  R1 * 11
  c1-^ \ff ~
  c
  c-^ \ff ~
  c
  c-^ \fz
  c-^ \fz
  \mark \default
  g4 r r2
  R1 * 5
  g2 \f r
  g \f r
  g4 r r2
  R1 * 4
  c1 \ffz ~
  c
  c-^ \ffz ~
  c
  c-^ \ffz ~
  c
  c-^ \ffz ~
  c
  c-^ \ff
  c2 c
  c c
  f,2. f4
  r f r f
  r f f f
  f r r2
  \mark \default
  d'4-^ g,-^ r2
  g4 r c r
  g g r2
  \TempoIVPAn
  r2 c \ff
  r c
  r c
  r c
  c c
  c1 ~
  c4 r r2
  R1 * 2
  \tag #'partScore \tag #'partTrScore {
    <<
      {
        g'4 \f r g r
        \repeat unfold 5 {g4 r g r}
      }
      \new Voice
      {
        \set countPercentRepeats = ##t
        \override PercentRepeat.transparent = ##t
        \override PercentRepeatCounter.staff-padding = #2
        \repeat percent 6 {s1}
      }
    >>
  }
  \elseTag #'partScore \elseTag #'partTrScore {
    g4 \f r g r
    \repeat unfold 5 {g4 r g r}
  }
  \TempoIVMMaes
  g4 r r2
  c,1-^ \ff
  \repeat unfold 4 c1-^
  \repeat unfold 3 {c1-^ \fz}
  \tag #'partScore \tag #'partTrScore {
    c4 \ffz r r2
  }
  \elseTag #'partScore \elseTag #'partTrScore {
    c4 _\footnote \markup {"(24)"} #'(1 . 0) \markup {\null} \ffz r r2
  }
  \bar "|."
}

%{
  ***************************************************************
  *     Trompette II                                            *
  ***************************************************************
%}

SgMdTrombaII = \relative c'' {

  \include "Common\Properties.ly"
  \tag #'partScore \tag #'partTrScore {
    \set Staff.minimumPageTurnLength = #(ly:make-moment 8/4)
    \numberMMFromI
    \cueEventType
  }
  \elseTag #'partScore \elseTag #'partTrScore {
    \numberMMFromII
  }

  \TempoIV

  \tag #'partTrScore {
    \transposition bes
  }
  \elseTag #'partTrScore {
    \transposition d'
  }

  \key c \major

  R1 * 41

  \tag #'hugeConductorScore {
    R1
  }
  \elseTag #'hugeConductorScore {
    \numberMMFromII
    \cueDuring #"scoreSgMdViolinoI" #UP {s4 * 0 ^\markup { \fontsize #-3 "Violini"} R1}
    \numberMMFromI
  }

  \tag #'partScore \tag #'partTrScore {
    \once \override Score.RehearsalMark.X-offset = 1
  }

  \mark \default

  g1-^ \ff ~
  g2 c->
  g2.-> c4
  c r g r
  R1
  r4 r8 g16-. \ff g-. g4-. g-.
  \repeat unfold 4 {
    R1
    r4 r8 g16-. g-. g4-. g-.
  }
  R1
  r4 r8 g16-. \ff g-. g4-. g-.
  g1-^ ~
  g ~
  g4 r r2
  R1 * 3

  \tag #'partScore \tag #'partTrScore {
    \once \override Score.MetronomeMark.X-offset = -2
  }
  \TempoIVRit

  R1

  \mark \default

  \TempoIVIT

  R1 * 6
  r4 g-. \ff c,-. g-.
  g2. bes4-.
  bes-. bes-. g-. c-.
  g'-. c,-. g2->
  R1 * 2
  g'2-> \ff g->
  g2.-> r4
  R1 * 2
  f2-> \ff f->
  c2.-> r4
  R1 * 2
  g'4 \f r r2
  R1

  \mark \default

  R1 * 2
  g4 \f r g r
  g r r2
  g4 r r2
  g4 r g r
  g r g r
  d' r r2
  R1 * 7

  \bar "||"

  \mark \default

  R1 * 13

  \tag #'hugeConductorScore {
    R1 * 2
  }
  \elseTag #'hugeConductorScore {
    \numberMMFromII
    \cueDuring #"scoreSgMdCornoIII" #DOWN {s4 * 0 ^\markup { \fontsize #-3 "Corno III"} R1 * 2}
    \numberMMFromI
  }

  R1 * 5
  r2 g,4 \f r
  g r g r

  \mark \default

  d \f d r d
  \repeat unfold 4 {r d r d}
  r d r e
  r d r d
  g r r2

  R1 * 3

  \tag #'partScore \tag #'partTrScore {
    \pageTurn
  }

  g4 \f r r2
  R1 * 3
  d4 \f r d r
  d r a' r
  d, r a' r
  d, r d r
  d r d-. d-.
  d r a' r
  d, r c r
  d r d r

  \bar "||"

  \mark \default

  g4 r r2

  R1 * 17

  \tag #'partScore \tag #'partTrScore {
    \once \override Score.MetronomeMark.X-offset = -2
  }
  \TempoIVPRit

  \tag #'partScore \tag #'partTrScore {
    \longMML 16 R1 * 4
  }
  \elseTag #'partScore \elseTag #'partTrScore {
    R1 * 4
  }

  \mark \default

  \TempoIVIT

  \tag #'partScore \tag #'partTrScore {
    \longMML 16 R1 * 39
  }
  \elseTag #'partScore \elseTag #'partTrScore {
    R1 * 39
  }

  \mark \default

  \tag #'hugeConductorScore {
    R1 * 3
  }
  \elseTag #'hugeConductorScore {
    \numberMMFromII
    \cueDuring #"scoreSgMdViolinoI" #UP {s4 * 0 ^\markup { \fontsize #-3 "Vl I"} R1 * 3}
    \numberMMFromI
  }

  R1 * 5
  a1-^ \ff
  r2 d,4-. r
  r2 d4-. r
  r2 d4-. r
  a1-^ \ff
  r2 c4-. r
  r2 c4-. r
  r2 r4 r8 d
  g4 \f r c, r
  d r g r

  \mark \default

  R1 * 6
  r4 des'8 \mf des g,4 bes8 bes
  a4 r r2
  R1
  r4 a8 \mf a d,!4 fis8 fis
  cis4 r r2
  ces4 r r2
  R1
  r4 g'8 \f g c,!4 e8 e
  b4 b' r b
  r b r b
  b r r2
  R1 * 7

  \mark \default

  R1 * 26

  \tag #'hugeConductorScore {
    R1 * 4
  }
  \elseTag #'hugeConductorScore {
    \numberMMFromII
    \cueDuring #"scoreSgMdViolinoI" #UP {s4 * 0 ^\markup { \fontsize #-3 "Vl I"} R1 * 4}
    \numberMMFromI
  }

  \bar "||"

  \mark \default

  g1 \ff ~
  g4 g, r g
  r g r g
  r g r c
  r c g g
  c r r2
  g'4 r r2
  \tag #'partScore \tag #'partTrScore {
    <<
      {
        r2 g,4 \f r
        \repeat unfold 12 {r2 g4 r}
      }
      \new Voice
      {
        \set countPercentRepeats = ##t
        \override PercentRepeat.transparent = ##t
        \override PercentRepeatCounter.staff-padding = #2
        \repeat percent 13 {s1}
      }
    >>
  }
  \elseTag #'partScore \elseTag #'partTrScore {
    r2 g4 \f r
    \repeat unfold 12 {r2 g4 r}
  }

  \mark \default

  g'4 \f r r2
  R1 * 14

  \bar "||"

  R1 * 19

  \tag #'hugeConductorScore {
    R1 * 3
  }
  \elseTag #'hugeConductorScore {
    \numberMMFromII
    \cueDuring #"scoreSgMdCornoI" #DOWN {s4 * 0 ^\markup { \fontsize #-3 "Corno I"} R1 * 3}
    \numberMMFromI
  }

  \mark \default

  g,4 \f g r g
  \tag #'partScore \tag #'partTrScore {
    <<
      {
        \repeat unfold 4 {r4 g r g}
      }
      \new Voice
      {
        \set countPercentRepeats = ##t
        \override PercentRepeat.transparent = ##t
        \override PercentRepeatCounter.staff-padding = #2
        \repeat percent 4 {s1}
      }
    >>
  }
  \elseTag #'partScore \elseTag #'partTrScore {
    {
      \repeat unfold 4 {r4 g r g}
    }
  }
  r4 c r c
  r g r g
  c r r2
  R1 * 2
  r2 r4 g' \f
  c, r r2
  R1 * 3
  g'4 \f r g r
  g r bes r
  bes r f r
  g r g r
  g r g-. g-.
  g r d' r
  g, r f r
  g r g r

  \bar "||"

  \mark \default

  g4 r r2
  R1 * 11
  c,1-^ \ff ~
  c
  c-^ \ff ~
  c
  c-^ \fz
  c-^ \fz

  \mark \default

  g'4 r r2
  R1 * 5
  g,2 \f r
  g \f r
  g'4 r r2
  R1 * 4
  c1 \ffz ~
  c
  c-^ \ffz ~
  c
  c-^ \ffz ~
  c
  c-^ \ffz ~
  c
  c-^ \ff
  c2 c
  c c
  f,2. f4
  r f r f
  r f f f
  f r r2

  \mark \default

  d'4-^ g,-^ r2
  g4 r c r
  g g r2

  \TempoIVPAn

  r2 c, \ff
  r c
  r c
  r c
  c c
  c1 ~
  c4 r r2
  R1 * 2
  \tag #'partScore \tag #'partTrScore {
    <<
      {
        g'4 \f r g r
        \repeat unfold 5 {g4 r g r}
      }
      \new Voice
      {
        \set countPercentRepeats = ##t
        \override PercentRepeat.transparent = ##t
        \override PercentRepeatCounter.staff-padding = #2
        \repeat percent 6 {s1}
      }
    >>
  }
  \elseTag #'partScore \elseTag #'partTrScore {
    g4 \f r g r
    \repeat unfold 5 {g4 r g r}
  }

  \TempoIVMMaes

  g4 r r2
  c,1-^ \ff
  \repeat unfold 4 c1-^
  \repeat unfold 3 {c1-^ \fz}
  \tag #'partScore \tag #'partTrScore {
    c4 \ffz r r2
  }
  \elseTag #'partScore \elseTag #'partTrScore {
    c4 _\footnote \markup {"(24)"} #'(1 . 0) \markup {\null} \ffz r r2
  }

  \bar "|."
}

%{
  ***************************************************************
  * Création des voix                                           *
  ***************************************************************
%}

trSgMdTrombaI = {
  \tag #'partTrScore {
    \transpose bes d' \SgMdTrombaI
  }
  \elseTag #'partTrScore {
    \SgMdTrombaI
  }
}

trSgMdTrombaII = {
  \tag #'partTrScore {
    \transpose bes d' \SgMdTrombaII
  }
  \elseTag #'partTrScore {
    \SgMdTrombaII
  }
}

quoteScoreSgMdTrombaI = \trSgMdTrombaI
quoteScoreSgMdTrombaII = \trSgMdTrombaII

voiceSgMdTrombaI = \new Voice {
  \time 2/2
  \tag #'partTrScore {
    \set Staff.instrumentName = \markup \fontsize #3 \center-column {"Tromba I" "(B♭)"}
    \set Staff.shortInstrumentName = ""
  }
  \elseTag #'partTrScore {
    \set Staff.instrumentName = \markup \fontsize #3 \center-column {"Tromba I" "in D"}
    \tag #'hugeConductorScore \set Staff.shortInstrumentName = \markup \center-column {"Tr. I" "(D)"}
    \elseTag #'hugeConductorScore \set Staff.shortInstrumentName = ""
  }
  \set Staff.midiInstrument = "trumpet"
  \clef treble
  \trSgMdTrombaI
}

voiceSgMdTrombaII = \new Voice {
  \time 2/2
  \tag #'partTrScore {
    \set Staff.instrumentName = \markup \fontsize #3 \center-column {"Tromba II" "(B♭)"}
    \set Staff.shortInstrumentName = ""
  }
  \elseTag #'partTrScore {
    \set Staff.instrumentName = \markup \fontsize #3 \center-column {"Tromba II" "in D"}
    \tag #'hugeConductorScore \set Staff.shortInstrumentName = \markup \center-column {"Tr. II" "(D)"}
    \elseTag #'hugeConductorScore \set Staff.shortInstrumentName = ""
  }
  \set Staff.midiInstrument = "trumpet"
  \clef treble
  \trSgMdTrombaII
}
