%{
  ***********************************************************************
  * Dvořák - Symphony nr 7                                              *
  *                                                                     *
  * encodage par J.F. Lucarelli                                         *
  * 18/11/12 - 01/11/2013                                               *
  * Ver 0.0 : 04/09/2013                                                *
  * Ver 1.0 : 01/11/2013                                                *
  * Ver 2.0 : 11/02/2016                                                *
  * Ver 2.1 : 29/02/2016                                                *
  * Ver 3.2 : 20/04/2016                                                *
  *                                                                     *
  * Symphonie n°7 : partition de poche                                  *
  *                                                                     *
  * Pas de Midi généré                                                  *
  *                                                                     *
  * *****************************                                       *
  * *   Fichier principal       *                                       *
  * *****************************                                       *
  *                                                                     *
  ***********************************************************************
%}

%{
  *******************************************************************************
  *                                                                             *
  * IMPORTANT                                                                   *
  *                                                                             *
  * La partition au format d'étude est prévue pour une impression               *
  * en mode "livret" sur papier A4 - et donc avec un résultat au format A5.     *
  *                                                                             *
  * Pour l'impression, utiliser Acrobat Reader à partir de la version 8,        *
  * ou un programme équivalent (PDF-Viewer - gratuit)                           *
  *                                                                             *
  * IMPORTANT                                                                   *
  *                                                                             *
  * This study score is scheduled for printing in "booklet" on A4 paper -       *
  * and therefore with an A5 result.                                            *
  *                                                                             *
  * To print this document, use Acrobar Reader, version 8 or greater,           *
  * or other equivalent program so "PDF-Viewer" - free                          *
  *                                                                             *
  *******************************************************************************
%}

\include "Common\Version.ly"
\include "Common\Fonctions.ly"

#(set-default-paper-size "a5")

\include  "Common\Paper-study.ly"
\include "Common\Variables.ly"

partShort = "Std"

aIIP = ^\markup {\bold a2}
aII = ^\markup {}

\include "Common\Declarations.ly"
\include "Common\dimension-study.ly"

\include  "DvorakSYMPH7M1\DvorakSYMPH7M1_Tempi.ly"   % tempi

\include  "DvorakSYMPH7M1\DvorakSYMPH7M1_music-Flauto_G_I_II.ly"
\include  "DvorakSYMPH7M1\DvorakSYMPH7M1_music-Oboe_G_I_II.ly"
\include  "DvorakSYMPH7M1\DvorakSYMPH7M1_music-Clarinetto_G_I_II.ly"
\include  "DvorakSYMPH7M1\DvorakSYMPH7M1_music-Fagotto_G_I_II.ly"
\include  "DvorakSYMPH7M1\DvorakSYMPH7M1_music-Corno_G_I_II.ly"
\include  "DvorakSYMPH7M1\DvorakSYMPH7M1_music-Corno_G_III_IV.ly"
\include  "DvorakSYMPH7M1\DvorakSYMPH7M1_music-Tromba_G_I_II.ly"
\include  "DvorakSYMPH7M1\DvorakSYMPH7M1_music-Trombone_G_I_II.ly"
\include  "DvorakSYMPH7M1\DvorakSYMPH7M1_music-Trombone_III.ly"
\include  "DvorakSYMPH7M1\DvorakSYMPH7M1_music-Timpani.ly"
\include  "DvorakSYMPH7M1\DvorakSYMPH7M1_music-Violino_I.ly"
\include  "DvorakSYMPH7M1\DvorakSYMPH7M1_music-Violino_II.ly"
\include  "DvorakSYMPH7M1\DvorakSYMPH7M1_music-Viola.ly"
\include  "DvorakSYMPH7M1\DvorakSYMPH7M1_music-Violoncello.ly"
\include  "DvorakSYMPH7M1\DvorakSYMPH7M1_music-Contrabasso.ly"

\include  "DvorakSYMPH7M1\DvorakSYMPH7M1_StavesStudy.ly"

\include  "DvorakSYMPH7M2\DvorakSYMPH7M2_Tempi.ly"   % tempi

\include  "DvorakSYMPH7M2\DvorakSYMPH7M2_music-Flauto_G_I_II.ly"
\include  "DvorakSYMPH7M2\DvorakSYMPH7M2_music-Oboe_G_I_II.ly"
\include  "DvorakSYMPH7M2\DvorakSYMPH7M2_music-Clarinetto_G_I_II.ly"
\include  "DvorakSYMPH7M2\DvorakSYMPH7M2_music-Fagotto_G_I_II.ly"
\include  "DvorakSYMPH7M2\DvorakSYMPH7M2_music-Corno_G_I_II.ly"
\include  "DvorakSYMPH7M2\DvorakSYMPH7M2_music-Corno_G_III_IV.ly"
\include  "DvorakSYMPH7M2\DvorakSYMPH7M2_music-Tromba_G_I_II.ly"
\include  "DvorakSYMPH7M2\DvorakSYMPH7M2_music-Trombone_G_I_II.ly"
\include  "DvorakSYMPH7M2\DvorakSYMPH7M2_music-Trombone_III.ly"
\include  "DvorakSYMPH7M2\DvorakSYMPH7M2_music-Timpani.ly"
\include  "DvorakSYMPH7M2\DvorakSYMPH7M2_music-Violino_I.ly"
\include  "DvorakSYMPH7M2\DvorakSYMPH7M2_music-Violino_II.ly"
\include  "DvorakSYMPH7M2\DvorakSYMPH7M2_music-Viola.ly"
\include  "DvorakSYMPH7M2\DvorakSYMPH7M2_music-Violoncello.ly"
\include  "DvorakSYMPH7M2\DvorakSYMPH7M2_music-Contrabasso.ly"

\include  "DvorakSYMPH7M2\DvorakSYMPH7M2_StavesStudy.ly"

\include  "DvorakSYMPH7M3\DvorakSYMPH7M3_Tempi.ly"   % tempi

\include  "DvorakSYMPH7M3\DvorakSYMPH7M3_music-Flauto_G_I_II.ly"
\include  "DvorakSYMPH7M3\DvorakSYMPH7M3_music-Piccolo.ly"
\include  "DvorakSYMPH7M3\DvorakSYMPH7M3_music-Oboe_G_I_II.ly"
\include  "DvorakSYMPH7M3\DvorakSYMPH7M3_music-Clarinetto_G_I_II.ly"
\include  "DvorakSYMPH7M3\DvorakSYMPH7M3_music-Fagotto_G_I_II.ly"
\include  "DvorakSYMPH7M3\DvorakSYMPH7M3_music-Corno_G_I_II.ly"
\include  "DvorakSYMPH7M3\DvorakSYMPH7M3_music-Corno_G_III_IV.ly"
\include  "DvorakSYMPH7M3\DvorakSYMPH7M3_music-Tromba_G_I_II.ly"
\include  "DvorakSYMPH7M3\DvorakSYMPH7M3_music-Timpani.ly"
\include  "DvorakSYMPH7M3\DvorakSYMPH7M3_music-Violino_I.ly"
\include  "DvorakSYMPH7M3\DvorakSYMPH7M3_music-Violino_II.ly"
\include  "DvorakSYMPH7M3\DvorakSYMPH7M3_music-Viola.ly"
\include  "DvorakSYMPH7M3\DvorakSYMPH7M3_music-VioloncelloI.ly"
\include  "DvorakSYMPH7M3\DvorakSYMPH7M3_music-VioloncelloII.ly"
\include  "DvorakSYMPH7M3\DvorakSYMPH7M3_music-Contrabasso.ly"

\include  "DvorakSYMPH7M3\DvorakSYMPH7M3_StavesStudy.ly"

\include  "DvorakSYMPH7M4\DvorakSYMPH7M4_Tempi.ly"   % tempi

\include  "DvorakSYMPH7M4\DvorakSYMPH7M4_music-Flauto_G_I_II.ly"
\include  "DvorakSYMPH7M4\DvorakSYMPH7M4_music-Flauto_G_II.ly"
\include  "DvorakSYMPH7M4\DvorakSYMPH7M4_music-Oboe_G_I_II.ly"
\include  "DvorakSYMPH7M4\DvorakSYMPH7M4_music-Clarinetto_G_I_II.ly"
\include  "DvorakSYMPH7M4\DvorakSYMPH7M4_music-Fagotto_G_I_II.ly"
\include  "DvorakSYMPH7M4\DvorakSYMPH7M4_music-Corno_G_I_II.ly"
\include  "DvorakSYMPH7M4\DvorakSYMPH7M4_music-Corno_G_III_IV.ly"
\include  "DvorakSYMPH7M4\DvorakSYMPH7M4_music-Tromba_G_I_II.ly"
\include  "DvorakSYMPH7M4\DvorakSYMPH7M4_music-Trombone_G_I_II.ly"
\include  "DvorakSYMPH7M4\DvorakSYMPH7M4_music-Trombone_III.ly"
\include  "DvorakSYMPH7M4\DvorakSYMPH7M4_music-Timpani.ly"
\include  "DvorakSYMPH7M4\DvorakSYMPH7M4_music-Violino_I.ly"
\include  "DvorakSYMPH7M4\DvorakSYMPH7M4_music-Violino_II.ly"
\include  "DvorakSYMPH7M4\DvorakSYMPH7M4_music-Viola.ly"
\include  "DvorakSYMPH7M4\DvorakSYMPH7M4_music-Violoncello.ly"
\include  "DvorakSYMPH7M4\DvorakSYMPH7M4_music-Contrabasso.ly"

\include  "DvorakSYMPH7M4\DvorakSYMPH7M4_StavesStudy.ly"

\include "Common\Cover-study.ly"

Footer = \markup {
  \raise #3
  \fill-line {
    \concat {
      \abs-fontsize #6 {
        \thisCatalogIdentification \partShort \thisRevision
      }
    }
  }
}

\book {

  % Couverture

  \bookpart {
    \CouvertureA
  }

  % Page blanche

  \bookpart {
    \paper {
      print-page-number = ##f
    }
    \markup {\null}
  }

  % Table des matières

  \bookpart {
    \paper {
      print-page-number = ##f
    }
    \PageToc
  }

  % Orchestration

  \bookpart {
    \paper {
      print-page-number = ##f
    }
    \PageOrch
  }
  % Remarques éditoriales

  \bookpart {
    \paper {
      print-page-number = ##t
    }
    \EditorialRemark
  }

  % Page blanche

  \bookpart {
    \paper {
      print-page-number = ##f
    }
    \markup {\null}
  }

  % Mouvements

  \bookpart {
    % autoriser les headers et footers
    \paper {
      print-page-number = ##t
      oddFooterMarkup = \Footer
      evenFooterMarkup = \Footer
    }

    \include  "DvorakSYMPH7M1\DvorakSYMPH7M1_Titre_Pri.ly"   % titres

    \label #'MvmtI
    \score {
      \keepWithTag #'studyScore
      <<
        \new StaffGroup \with {
          \override VerticalAxisGroup #'staff-staff-spacing =
          #'(('basic-distance  . 0.15)
             (minimum-distance . 0.15)
             (padding . 0)
             (stretchability . 18))
        }
        <<
          \staffSgMaFlautoIAII
          \staffSgMaOboeIAII
          \staffSgMaClarinettoIAII
          \staffSgMaFagottoIAII
        >>
        \new StaffGroup \with {
          \override VerticalAxisGroup #'staff-staff-spacing =
          #'(('basic-distance  . 0.15)
             (minimum-distance . 0.15)
             (padding . 0)
             (stretchability . 18))
        }
        <<
          \new GrandStaff \with {
            \override VerticalAxisGroup #'staff-staff-spacing =
            #'(('basic-distance  . 0.15)
               (minimum-distance . 0.15)
               (padding . 0)
               (stretchability . 18))
          }
          <<
            \staffSgMaCornoIAII
            \staffSgMaCornoIIIAIV
          >>
          \staffSgMaTrombaIAII
          \new GrandStaff \with {
            \override VerticalAxisGroup #'staff-staff-spacing =
            #'(('basic-distance  . 0.15)
               (minimum-distance . 0.15)
               (padding . 0)
               (stretchability . 18))
          }
          <<
            \staffSgMaTromboneIAII
            \staffSgMaTromboneIII
          >>
        >>
        \new Staff  \with {
          \override VerticalAxisGroup #'staff-staff-spacing =
          #'(('basic-distance  . 0.15)
             (minimum-distance . 0.15)
             (padding . 0)
             (stretchability . 18))
        }
        \staffSgMaTimpani
        \new StaffGroup \with {
          \override VerticalAxisGroup #'staff-staff-spacing =
          #'(('basic-distance  . 0.15)
             (minimum-distance . 0.15)
             (padding . 0)
             (stretchability . 18))
        }
        <<
          \new GrandStaff \with {
            \override VerticalAxisGroup #'staff-staff-spacing =
            #'(('basic-distance  . 0.15)
               (minimum-distance . 0.15)
               (padding . 0)
               (stretchability . 18))
          }
          <<
            \staffSgMaViolinoI
            \staffSgMaViolinoII
          >>
          \staffSgMaViola
          \staffSgMaVioloncello
          \staffSgMaContrabasso
        >>
      >>

      \layout {
        \context {
          \RemoveEmptyStaffContext
          \override VerticalAxisGroup.remove-first = ##f
        }
        \context {
          \Score
          \override BarLine.layer = #-4
        }
        \context {
          \Staff
          \override BarLine.layer = #-4
        }
        \context {
          \Voice
          \override TextScript.whiteout = ##t
          \override TextScript.layer = #4
          \override DynamicText.whiteout = ##t
          \override DynamicText.layer = #4
          \override DynamicTextSpanner.whiteout = ##t
          \override DynamicTextSpanner.layer = #4
        }
      }
    }
  }

  \bookpart {
    \paper {
      print-page-number = ##t
      oddFooterMarkup = \Footer
      evenFooterMarkup = \Footer
    }
    \header {
      title = " "
      subtitle = " "
      composer = " "
      opus = " "
      subsubtitle = \markup {\center-column {\fontsize #6 \lower #10 "-- II --"}}
      copyright = " "
    }
    \label #'MvmtII
    \score {
      \keepWithTag #'studyScore
      <<
        \new StaffGroup \with {
          \override VerticalAxisGroup #'staff-staff-spacing =
          #'(('basic-distance  . 0.15)
             (minimum-distance . 0.15)
             (padding . 0)
             (stretchability . 18))
        }
        <<
          \staffSgMbFlautoIAII
          \staffSgMbOboeIAII
          \staffSgMbClarinettoIAII
          \staffSgMbFagottoIAII
        >>
        \new StaffGroup \with {
          \override VerticalAxisGroup #'staff-staff-spacing =
          #'(('basic-distance  . 0.15)
             (minimum-distance . 0.15)
             (padding . 0)
             (stretchability . 18))
        }
        <<
          \new GrandStaff \with {
            \override VerticalAxisGroup #'staff-staff-spacing =
            #'(('basic-distance  . 0.15)
               (minimum-distance . 0.15)
               (padding . 0)
               (stretchability . 18))
          }
          <<
            \staffSgMbCornoIAII
            \staffSgMbCornoIIIAIV
          >>
          \staffSgMbTrombaIAII
          \new GrandStaff \with {
            \override VerticalAxisGroup #'staff-staff-spacing =
            #'(('basic-distance  . 0.15)
               (minimum-distance . 0.15)
               (padding . 0)
               (stretchability . 18))
          }
          <<
            \staffSgMbTromboneIAII
            \staffSgMbTromboneIII
          >>
        >>
        \new Staff  \with {
          \override VerticalAxisGroup #'staff-staff-spacing =
          #'(('basic-distance  . 0.15)
             (minimum-distance . 0.15)
             (padding . 0)
             (stretchability . 18))
        }
        \staffSgMbTimpani
        \new StaffGroup \with {
          \override VerticalAxisGroup #'staff-staff-spacing =
          #'(('basic-distance  . 0.15)
             (minimum-distance . 0.15)
             (padding . 0)
             (stretchability . 18))
        }
        <<
          \new GrandStaff \with {
            \override VerticalAxisGroup #'staff-staff-spacing =
            #'(('basic-distance  . 0.15)
               (minimum-distance . 0.15)
               (padding . 0)
               (stretchability . 18))
          }
          <<
            \staffSgMbViolinoI
            \staffSgMbViolinoII
          >>
          \staffSgMbViola
          \staffSgMbVioloncello
          \staffSgMbContrabasso
        >>
      >>

      \layout {
        \context {
          \RemoveEmptyStaffContext
          \override VerticalAxisGroup.remove-first = ##f
        }
        \context {
          \Score
          \override BarLine.layer = #-4
        }
        \context {
          \Staff
          \override BarLine.layer = #-4
        }
        \context {
          \Voice
          \override TextScript.whiteout = ##t
          \override TextScript.layer = #4
          \override DynamicText.whiteout = ##t
          \override DynamicText.layer = #4
          \override DynamicTextSpanner.whiteout = ##t
          \override DynamicTextSpanner.layer = #4
        }
      }
    }
  }

  \bookpart {
    \paper {
      print-page-number = ##t
      oddFooterMarkup = \Footer
      evenFooterMarkup = \Footer
    }
    \header {
      title = " "
      subtitle = " "
      composer = " "
      opus = " "
      subsubtitle = \markup {\center-column {\fontsize #6 \lower #10 "-- III --"}}
      copyright = " "
    }
    \label #'MvmtIII
    \score {
      \keepWithTag #'studyScore
      <<
        \new StaffGroup \with {
          \override VerticalAxisGroup #'staff-staff-spacing =
          #'(('basic-distance  . 0.15)
             (minimum-distance . 0.15)
             (padding . 0)
             (stretchability . 18))
        }
        <<
          % Flûtes : dédoublée pendant 3 mesures pour remplacement par le piccolo
          \new GrandStaff \with {
            \override VerticalAxisGroup #'staff-staff-spacing =
            #'(('basic-distance  . 0.15)
               (minimum-distance . 0.15)
               (padding . 0)
               (stretchability . 18))
          }
          <<
            \staffSgMcFlautoIAII
            \staffSgMcPiccolo
          >>
          \staffSgMcOboeIAII
          \staffSgMcClarinettoIAII
          \staffSgMcFagottoIAII
        >>
        \new StaffGroup \with {
          \override VerticalAxisGroup #'staff-staff-spacing =
          #'(('basic-distance  . 0.15)
             (minimum-distance . 0.15)
             (padding . 0)
             (stretchability . 18))
        }
        <<
          \new GrandStaff \with {
            \override VerticalAxisGroup #'staff-staff-spacing =
            #'(('basic-distance  . 0.15)
               (minimum-distance . 0.15)
               (padding . 0)
               (stretchability . 18))
          }
          <<
            \staffSgMcCornoIAII
            \staffSgMcCornoIIIAIV
          >>
          \staffSgMcTrombaIAII
        >>
        \new Staff  \with {
          \override VerticalAxisGroup #'staff-staff-spacing =
          #'(('basic-distance  . 0.15)
             (minimum-distance . 0.15)
             (padding . 0)
             (stretchability . 18))
        }
        \staffSgMcTimpani
        \new StaffGroup \with {
          \override VerticalAxisGroup #'staff-staff-spacing =
          #'(('basic-distance  . 0.15)
             (minimum-distance . 0.15)
             (padding . 0)
             (stretchability . 18))
        }
        <<
          \new GrandStaff \with {
            \override VerticalAxisGroup #'staff-staff-spacing =
            #'(('basic-distance  . 0.15)
               (minimum-distance . 0.15)
               (padding . 0)
               (stretchability . 18))
          }
          <<
            \staffSgMcViolinoI
            \staffSgMcViolinoII
          >>
          \staffSgMcViola
          \new GrandStaff
          <<
            % Violoncelles : comprennent temporairement deux parties.
            \staffSgMcVioloncelloI
            \staffSgMcVioloncelloII
          >>
          \staffSgMcContrabasso
        >>
      >>

      \layout {
        % Violoncelles : comprennent temporairement deux parties. Il faut masquer les portées vides ailleurs,
        % et restaurer la visibilité des autres portées vides (via le fichier staves.ly)
        % Flûtes : comprennent temporairement deux parties. Il faut masquer les portées vides ailleurs,
        % et restaurer la visibilité des autres portées vides (via le fichier staves.ly)
        \context {
          \RemoveEmptyStaffContext
          \override VerticalAxisGroup.remove-first = ##f
        }
        \context {
          \Score
          \override BarLine.layer = #-4
        }
        \context {
          \Staff
          \override BarLine.layer = #-4
        }
        \context {
          \Voice
          \override TextScript.whiteout = ##t
          \override TextScript.layer = #4
          \override DynamicText.whiteout = ##t
          \override DynamicText.layer = #4
          \override DynamicTextSpanner.whiteout = ##t
          \override DynamicTextSpanner.layer = #4
        }
      }
    }
  }

  \bookpart {
    \paper {
      print-page-number = ##t
      oddFooterMarkup = \Footer
      evenFooterMarkup = \Footer
    }
    \header {
      title = " "
      subtitle = " "
      composer = " "
      opus = " "
      subsubtitle = \markup {\center-column {\fontsize #6 \lower #10 "-- IV --"}}
      copyright = " "
    }
    \label #'MvmtIV
    \score {
      \keepWithTag #'studyScore
      <<
        \new StaffGroup \with {
          \override VerticalAxisGroup #'staff-staff-spacing =
          #'(('basic-distance  . 0.15)
             (minimum-distance . 0.15)
             (padding . 0)
             (stretchability . 18))
        }
        <<
          \new GrandStaff \with {
            \override VerticalAxisGroup #'staff-staff-spacing =
            #'(('basic-distance  . 0.15)
               (minimum-distance . 0.15)
               (padding . 0)
               (stretchability . 18))
          }
          <<
            \staffSgMdFlautoIAII
            \staffSgMdFlautoIIB
          >>
          \staffSgMdOboeIAII
          \staffSgMdClarinettoIAII
          \staffSgMdFagottoIAII
        >>
        \new StaffGroup \with {
          \override VerticalAxisGroup #'staff-staff-spacing =
          #'(('basic-distance  . 0.15)
             (minimum-distance . 0.15)
             (padding . 0)
             (stretchability . 18))
        }
        <<
          \new GrandStaff \with {
            \override VerticalAxisGroup #'staff-staff-spacing =
            #'(('basic-distance  . 0.15)
               (minimum-distance . 0.15)
               (padding . 0)
               (stretchability . 18))
          }
          <<
            \staffSgMdCornoIAII
            \staffSgMdCornoIIIAIV
          >>
          \staffSgMdTrombaIAII
          \new GrandStaff \with {
            \override VerticalAxisGroup #'staff-staff-spacing =
            #'(('basic-distance  . 0.15)
               (minimum-distance . 0.15)
               (padding . 0)
               (stretchability . 18))
          }
          <<
            \staffSgMdTromboneIAII
            \staffSgMdTromboneIII
          >>
        >>
        \new Staff  \with {
          \override VerticalAxisGroup #'staff-staff-spacing =
          #'(('basic-distance  . 0.15)
             (minimum-distance . 0.15)
             (padding . 0)
             (stretchability . 18))
        }
        \staffSgMdTimpani
        \new StaffGroup \with {
          \override VerticalAxisGroup #'staff-staff-spacing =
          #'(('basic-distance  . 0.15)
             (minimum-distance . 0.15)
             (padding . 0)
             (stretchability . 18))
        }
        <<
          \new GrandStaff \with {
            \override VerticalAxisGroup.staff-staff-spacing =
            #'(('basic-distance  . 0.2)
               (minimum-distance . 0.2)
               (padding . 0.2)
               (stretchability . 8))
          }
          <<
            \staffSgMdViolinoI
            \staffSgMdViolinoII
          >>
          \staffSgMdViola
          \staffSgMdVioloncello
          \staffSgMdContrabasso
        >>
      >>

      \layout {
        % Flûtes : comprennent temporairement deux parties. Il faut masquer les portées vides ailleurs,
        % et restaurer la visibilité des autres portées vides (via le fichier staves.ly)
        \context {
          \RemoveEmptyStaffContext
          \override VerticalAxisGroup.remove-first = ##f
        }
        \context {
          \Score
          \override BarLine.layer = #-4
        }
        \context {
          \Staff
          \override BarLine.layer = #-4
        }
        \context {
          \Voice
          \override TextScript.whiteout = ##t
          \override TextScript.layer = #4
          \override DynamicText.whiteout = ##t
          \override DynamicText.layer = #4
          \override DynamicTextSpanner.whiteout = ##t
          \override DynamicTextSpanner.layer = #4
        }
      }
    }
  }

  % suppression de la \tagline, elle est comprise dans la couverture D
  \header {
    tagline = ##f
  }

  % Pages blanches éventuelles - il faut arriver à un multiple de 4
  % La page blanche suivante est prioritaire, pour aérer la fin de la partition
  \bookpart {
    \paper {
      print-page-number = ##f
    }
    \markup {\null}
  }

  % Couverture 3

  \bookpart {
    \paper {
      % Pas d'encadrement, cadrage constitué par les marges
      print-page-number = ##f
    }
    \CouvertureC
  }

  % 1 ou 2 pages blanches éventuelles - il faut arriver à un multiple de 4
  \bookpart {
    \paper {
      print-page-number = ##f
    }
    \markup {\null}
  }
  \bookpart {
    \paper {
      print-page-number = ##f
    }
    \markup {\null}
  }

  % Couverture 4

  \bookpart {
    \paper {
      print-page-number = ##f
    }
    \CouvertureD
  }
}
