%{
  ***********************************************************************
  * Dvořák - Symphony nr 7                                              *
  *                                                                     *
  * encodage par J.F. Lucarelli                                         *
  * 18/11/12 - 01/11/2013                                               *
  * Ver 0.0 : 04/09/2013                                                *
  * Ver 1.0 : 01/11/2013                                                *
  * Ver 2.0 : 11/02/2016                                                *
  * Ver 2.1 : 29/02/2016                                                *
  * Ver 3.2 : 20/04/2016                                                *
  *                                                                     *
  * Symphonie n°7 : Conductrice                                         *
  *                                                                     *
  * *******************************                                     *
  * *   Fichier principal         *                                     *
  * *******************************                                     *
  *                                                                     *
  ***********************************************************************
%}

\include "Common\Version.ly"
\include "Common\Fonctions.ly"

#(set-default-paper-size "a4")

\include "Common\paper-conductor.ly"
\include "Common\Variables.ly"

% Le code "a2" est forcé en début de ligne quand nécessaire.
% A partir de ce moment, il ne faut plus changer la mise en page
aII = ^\markup {\bold "a2"}
aIIP = ^\markup {}

partShort = "Cond"

\include "Common\Declarations.ly"
\include "common\dimension-conductor.ly"

\include "DvorakSYMPH7M1\DvorakSYMPH7M1_Tempi.ly"  % tempi

\include "DvorakSYMPH7M1\DvorakSYMPH7M1_music-Flauto_G_I_II.ly"
\include "DvorakSYMPH7M1\DvorakSYMPH7M1_music-Oboe_G_I_II.ly"
\include "DvorakSYMPH7M1\DvorakSYMPH7M1_music-Clarinetto_G_I_II.ly"
\include "DvorakSYMPH7M1\DvorakSYMPH7M1_music-Fagotto_G_I_II.ly"
\include "DvorakSYMPH7M1\DvorakSYMPH7M1_music-Corno_G_I_II.ly"
\include "DvorakSYMPH7M1\DvorakSYMPH7M1_music-Corno_G_III_IV.ly"
\include "DvorakSYMPH7M1\DvorakSYMPH7M1_music-Tromba_G_I_II.ly"
\include "DvorakSYMPH7M1\DvorakSYMPH7M1_music-Trombone_G_I_II.ly"
\include "DvorakSYMPH7M1\DvorakSYMPH7M1_music-Trombone_III.ly"
\include "DvorakSYMPH7M1\DvorakSYMPH7M1_music-Timpani.ly"
\include "DvorakSYMPH7M1\DvorakSYMPH7M1_music-Violino_I.ly"
\include "DvorakSYMPH7M1\DvorakSYMPH7M1_music-Violino_II.ly"
\include "DvorakSYMPH7M1\DvorakSYMPH7M1_music-Viola.ly"
\include "DvorakSYMPH7M1\DvorakSYMPH7M1_music-Violoncello.ly"
\include "DvorakSYMPH7M1\DvorakSYMPH7M1_music-Contrabasso.ly"

\include "DvorakSYMPH7M1\DvorakSYMPH7M1_Staves.ly"

\include "DvorakSYMPH7M2\DvorakSYMPH7M2_Tempi.ly"  % tempi

\include "DvorakSYMPH7M2\DvorakSYMPH7M2_music-Flauto_G_I_II.ly"
\include "DvorakSYMPH7M2\DvorakSYMPH7M2_music-Oboe_G_I_II.ly"
\include "DvorakSYMPH7M2\DvorakSYMPH7M2_music-Clarinetto_G_I_II.ly"
\include "DvorakSYMPH7M2\DvorakSYMPH7M2_music-Fagotto_G_I_II.ly"
\include "DvorakSYMPH7M2\DvorakSYMPH7M2_music-Corno_G_I_II.ly"
\include "DvorakSYMPH7M2\DvorakSYMPH7M2_music-Corno_G_III_IV.ly"
\include "DvorakSYMPH7M2\DvorakSYMPH7M2_music-Tromba_G_I_II.ly"
\include "DvorakSYMPH7M2\DvorakSYMPH7M2_music-Trombone_G_I_II.ly"
\include "DvorakSYMPH7M2\DvorakSYMPH7M2_music-Trombone_III.ly"
\include "DvorakSYMPH7M2\DvorakSYMPH7M2_music-Timpani.ly"
\include "DvorakSYMPH7M2\DvorakSYMPH7M2_music-Violino_I.ly"
\include "DvorakSYMPH7M2\DvorakSYMPH7M2_music-Violino_II.ly"
\include "DvorakSYMPH7M2\DvorakSYMPH7M2_music-Viola.ly"
\include "DvorakSYMPH7M2\DvorakSYMPH7M2_music-Violoncello.ly"
\include "DvorakSYMPH7M2\DvorakSYMPH7M2_music-Contrabasso.ly"

\include "DvorakSYMPH7M2\DvorakSYMPH7M2_Staves.ly"

\include "DvorakSYMPH7M3\DvorakSYMPH7M3_Tempi.ly"  % tempi

\include "DvorakSYMPH7M3\DvorakSYMPH7M3_music-Flauto_G_I_II.ly"
\include "DvorakSYMPH7M3\DvorakSYMPH7M3_music-Piccolo.ly"
\include "DvorakSYMPH7M3\DvorakSYMPH7M3_music-Oboe_G_I_II.ly"
\include "DvorakSYMPH7M3\DvorakSYMPH7M3_music-Clarinetto_G_I_II.ly"
\include "DvorakSYMPH7M3\DvorakSYMPH7M3_music-Fagotto_G_I_II.ly"
\include "DvorakSYMPH7M3\DvorakSYMPH7M3_music-Corno_G_I_II.ly"
\include "DvorakSYMPH7M3\DvorakSYMPH7M3_music-Corno_G_III_IV.ly"
\include "DvorakSYMPH7M3\DvorakSYMPH7M3_music-Tromba_G_I_II.ly"
\include "DvorakSYMPH7M3\DvorakSYMPH7M3_music-Timpani.ly"
\include "DvorakSYMPH7M3\DvorakSYMPH7M3_music-Violino_I.ly"
\include "DvorakSYMPH7M3\DvorakSYMPH7M3_music-Violino_II.ly"
\include "DvorakSYMPH7M3\DvorakSYMPH7M3_music-Viola.ly"
\include "DvorakSYMPH7M3\DvorakSYMPH7M3_music-VioloncelloI.ly"
\include "DvorakSYMPH7M3\DvorakSYMPH7M3_music-VioloncelloII.ly"
\include "DvorakSYMPH7M3\DvorakSYMPH7M3_music-Contrabasso.ly"

\include "DvorakSYMPH7M3\DvorakSYMPH7M3_Staves.ly"

\include "DvorakSYMPH7M4\DvorakSYMPH7M4_Tempi.ly"  % tempi

\include "DvorakSYMPH7M4\DvorakSYMPH7M4_music-Flauto_G_I_II.ly"
\include "DvorakSYMPH7M4\DvorakSYMPH7M4_music-Flauto_G_II.ly"
\include "DvorakSYMPH7M4\DvorakSYMPH7M4_music-Oboe_G_I_II.ly"
\include "DvorakSYMPH7M4\DvorakSYMPH7M4_music-Clarinetto_G_I_II.ly"
\include "DvorakSYMPH7M4\DvorakSYMPH7M4_music-Fagotto_G_I_II.ly"
\include "DvorakSYMPH7M4\DvorakSYMPH7M4_music-Corno_G_I_II.ly"
\include "DvorakSYMPH7M4\DvorakSYMPH7M4_music-Corno_G_III_IV.ly"
\include "DvorakSYMPH7M4\DvorakSYMPH7M4_music-Tromba_G_I_II.ly"
\include "DvorakSYMPH7M4\DvorakSYMPH7M4_music-Trombone_G_I_II.ly"
\include "DvorakSYMPH7M4\DvorakSYMPH7M4_music-Trombone_III.ly"
\include "DvorakSYMPH7M4\DvorakSYMPH7M4_music-Timpani.ly"
\include "DvorakSYMPH7M4\DvorakSYMPH7M4_music-Violino_I.ly"
\include "DvorakSYMPH7M4\DvorakSYMPH7M4_music-Violino_II.ly"
\include "DvorakSYMPH7M4\DvorakSYMPH7M4_music-Viola.ly"
\include "DvorakSYMPH7M4\DvorakSYMPH7M4_music-Violoncello.ly"
\include "DvorakSYMPH7M4\DvorakSYMPH7M4_music-Contrabasso.ly"

\include "DvorakSYMPH7M4\DvorakSYMPH7M4_Staves.ly"

\include "Common\Cover-conductor.ly"

Footer = \markup {
  \raise #3
  \fill-line {
    \concat {
      \abs-fontsize #8 {
        \thisCatalogIdentification \partShort \thisRevision
      }
    }
  }
}

\book {

  % Couverture

  \bookpart {
    \CouvertureA
  }

  % Page blanche

  \bookpart {
    \paper {
      print-page-number = ##f
    }
    \markup {\null}
  }

  % Table des matières

  \bookpart {
    \paper {
      print-page-number = ##f
    }
    \PageToc
  }

  % Orchestration

  \bookpart {
    \paper {
      print-page-number = ##f
    }
    \PageOrch
  }

  % Remarques éditoriales

  \bookpart {
    \paper {
      print-page-number = ##t
    }
    \EditorialRemark
  }

  % Page blanche

  \bookpart {
    \paper {
      print-page-number = ##f
    }
    \markup {\null}
  }

  % Mouvements

  \bookpart {
    % autoriser les headers et footers
    \paper {
      print-page-number = ##t
      oddFooterMarkup = \Footer
      evenFooterMarkup = \Footer
    }

    \include "DvorakSYMPH7M1\DvorakSYMPH7M1_Titre_Pri.ly"  % titres

    \label #'MvmtI
    \score {
      \keepWithTag #'conductorScore
      <<
        \new StaffGroup
        <<
          \staffSgMaFlautoIAII
          \staffSgMaOboeIAII
          \staffSgMaClarinettoIAII
          \staffSgMaFagottoIAII
        >>
        \new StaffGroup
        <<
          \new GrandStaff
          <<
            \staffSgMaCornoIAII
            \staffSgMaCornoIIIAIV
          >>
          \staffSgMaTrombaIAII
          \new GrandStaff
          <<
            \staffSgMaTromboneIAII
            \staffSgMaTromboneIII
          >>
        >>
        \staffSgMaTimpani
        \new StaffGroup
        <<
          \new GrandStaff
          <<
            \staffSgMaViolinoI
            \staffSgMaViolinoII
          >>
          \staffSgMaViola
          \staffSgMaVioloncello
          \staffSgMaContrabasso
        >>
      >>

      \layout {
        \context {
          \Score
          \override BarLine.layer = #-4
        }
        \context {
          \Staff
          \override BarLine.layer = #-4
        }
        \context {
          \Voice
          \override TextScript.whiteout = ##t
          \override TextScript.layer = #4
          \override DynamicText.whiteout = ##t
          \override DynamicText.layer = #4
          \override DynamicTextSpanner.whiteout = ##t
          \override DynamicTextSpanner.layer = #4
        }
      }
      \midi {}
    }
  }

  \bookpart {
    \paper {
      print-page-number = ##t
      oddFooterMarkup = \Footer
      evenFooterMarkup = \Footer
    }
    \header {
      title = " "
      subtitle = " "
      composer = " "
      opus = " "
      subsubtitle = \markup {\center-column {\fontsize #6 \lower #10 "-- II --"}}
      copyright = " "
    }
    \label #'MvmtII
    \score {
      \keepWithTag #'conductorScore
      <<
        \new StaffGroup
        <<
          \staffSgMbFlautoIAII
          \staffSgMbOboeIAII
          \staffSgMbClarinettoIAII
          \staffSgMbFagottoIAII
        >>
        \new StaffGroup
        <<
          \new GrandStaff
          <<
            \staffSgMbCornoIAII
            \staffSgMbCornoIIIAIV
          >>
          \staffSgMbTrombaIAII
          \new GrandStaff
          <<
            \staffSgMbTromboneIAII
            \staffSgMbTromboneIII
          >>
        >>
        \staffSgMbTimpani
        \new StaffGroup
        <<
          \new GrandStaff
          <<
            \staffSgMbViolinoI
            \staffSgMbViolinoII
          >>
          \staffSgMbViola
          \staffSgMbVioloncello
          \staffSgMbContrabasso
        >>
      >>

      \layout {
        \context {
          \Score
          \override BarLine.layer = #-4
        }
        \context {
          \Staff
          \override BarLine.layer = #-4
        }
        \context {
          \Voice
          \override TextScript.whiteout = ##t
          \override TextScript.layer = #4
          \override DynamicText.whiteout = ##t
          \override DynamicText.layer = #4
          \override DynamicTextSpanner.whiteout = ##t
          \override DynamicTextSpanner.layer = #4
        }
      }
      \midi {}
    }
  }

  \bookpart {
    \paper {
      print-page-number = ##t
      oddFooterMarkup = \Footer
      evenFooterMarkup = \Footer
    }
    \header {
      title = " "
      subtitle = " "
      composer = " "
      opus = " "
      subsubtitle = \markup {\center-column {\fontsize #6 \lower #10 "-- III --"}}
      copyright = " "
    }
    \label #'MvmtIII
    \score {
      \keepWithTag #'conductorScore
      <<
        \new StaffGroup
        <<
          % Flûtes : dédoublée pendant 3 mesures pour remplacement par le piccolo
          \new GrandStaff
          <<
            \staffSgMcFlautoIAII
            \staffSgMcPiccolo
          >>
          \staffSgMcOboeIAII
          \staffSgMcClarinettoIAII
          \staffSgMcFagottoIAII
        >>
        \new StaffGroup
        <<
          \new GrandStaff
          <<
            \staffSgMcCornoIAII
            \staffSgMcCornoIIIAIV
          >>
          \staffSgMcTrombaIAII
        >>
        \staffSgMcTimpani
        \new StaffGroup
        <<
          \new GrandStaff
          <<
            \staffSgMcViolinoI
            \staffSgMcViolinoII
          >>
          \staffSgMcViola
          \new GrandStaff
          <<
            % Violoncelles : comprennent temporairement deux parties.
            \staffSgMcVioloncelloI
            \staffSgMcVioloncelloII
          >>
          \staffSgMcContrabasso
        >>
      >>

      \layout {
        % Violoncelles : comprennent temporairement deux parties. Il faut masquer les portées vides ailleurs,
        % et restaurer la visibilité des autres portées vides (via le fichier staves.ly)
        % Flûtes : comprennent temporairement deux parties. Il faut masquer les portées vides ailleurs,
        % et restaurer la visibilité des autres portées vides (via le fichier staves.ly)
        \context {
          \RemoveEmptyStaffContext
          \override VerticalAxisGroup.remove-first = ##t
        }
        \context {
          \Score
          \override BarLine.layer = #-4
        }
        \context {
          \Staff
          \override BarLine.layer = #-4
        }
        \context {
          \Voice
          \override TextScript.whiteout = ##t
          \override TextScript.layer = #4
          \override DynamicText.whiteout = ##t
          \override DynamicText.layer = #4
          \override DynamicTextSpanner.whiteout = ##t
          \override DynamicTextSpanner.layer = #4
        }
      }
      \midi {}
    }
  }

  \bookpart {
    \paper {
      print-page-number = ##t
      oddFooterMarkup = \Footer
      evenFooterMarkup = \Footer
    }
    \header {
      title = " "
      subtitle = " "
      composer = " "
      opus = " "
      subsubtitle = \markup {\center-column {\fontsize #6 \lower #10 "-- IV --"}}
      copyright = " "
    }
    \label #'MvmtIV
    \score {
      \keepWithTag #'conductorScore
      <<
        \new StaffGroup
        <<
          \new GrandStaff
          <<
            \staffSgMdFlautoIAII
            \staffSgMdFlautoIIB
          >>
          \staffSgMdOboeIAII
          \staffSgMdClarinettoIAII
          \staffSgMdFagottoIAII
        >>
        \new StaffGroup
        <<
          \new GrandStaff
          <<
            \staffSgMdCornoIAII
            \staffSgMdCornoIIIAIV
          >>
          \staffSgMdTrombaIAII
          \new GrandStaff
          <<
            \staffSgMdTromboneIAII
            \staffSgMdTromboneIII
          >>
        >>
        \staffSgMdTimpani
        \new StaffGroup
        <<
          \new GrandStaff
          <<
            \staffSgMdViolinoI
            \staffSgMdViolinoII
          >>
          \staffSgMdViola
          \staffSgMdVioloncello
          \staffSgMdContrabasso
        >>
      >>

      \layout {
        \context {
          \Score
          \override BarLine.layer = #-4
        }
        \context {
          \Staff
          \override BarLine.layer = #-4
        }
        \context {
          \Voice
          \override TextScript.whiteout = ##t
          \override TextScript.layer = #4
          \override DynamicText.whiteout = ##t
          \override DynamicText.layer = #4
          \override DynamicTextSpanner.whiteout = ##t
          \override DynamicTextSpanner.layer = #4
        }
      }
      \midi {}
    }
  }

  % suppression de la \tagline, elle est comprise dans la couverture D
  \header {
    tagline = ##f
  }

  % Pages blanches éventuelle - il faut arriver à un multiple de 2
  \bookpart {
    \paper {
      print-page-number = ##f
    }
    \markup {\null}
  }

  % Couverture 3

  \bookpart {
    \paper {
      % Pas d'encadrement, cadrage constitué par les marges
      print-page-number = ##f
    }
    \CouvertureC
  }

  % Page blanche
%{  \bookpart {
    \paper {
      print-page-number = ##f
    }
    \markup {\null}
  }%}

  % Couverture 4

  \bookpart {
    \paper {
      print-page-number = ##f
    }
    \CouvertureD
  }
}
